package com.gx.obe.server.common.log;

import org.springframework.context.event.EventListener;
import org.springframework.core.annotation.Order;
import org.springframework.scheduling.annotation.Async;

import com.gx.obe.server.management.log.entity.SysLog;
import com.gx.obe.server.management.log.service.SysLogService;

import lombok.AllArgsConstructor;

@AllArgsConstructor
public class LogListener {
	private static final org.slf4j.Logger LOG = org.slf4j.LoggerFactory.getLogger(LogListener.class);

	private final SysLogService remoteLogService;

	@Async
	@Order
	@EventListener(LogEvent.class)
	public void saveSysLog(LogEvent event) {
		SysLog sysLog = event.getSysLog();
		try {
			remoteLogService.saveLog(sysLog);			
		} catch (Exception e) {
			LOG.error(sysLog.toString());	 
		}
	}
	
	@Async
	@Order
	@EventListener(SysLog.class)
	public void saveSysLog(SysLog sysLog) {
 		try {
			remoteLogService.saveLog(sysLog);			
		} catch (Exception e) {
			LOG.error(sysLog.toString());	 
		}
	}
}
