package com.gx.obe.server.common.utils;

/**
 * AssertUtil
 * @author guoyr
 */
public abstract class AssertUtils {

	public static void notNull(Object obj) {
		notNull(obj, "The input method parameter can't be null.");
	}

	public static void notEmpty(String input, String message) {
		if(StringUtils.isEmpty(input)) {
			throw new IllegalArgumentException(message);
		}
	}

	public static void notNull(Object obj, String message) {
		if(obj == null) {
			throw new IllegalArgumentException(message);
		}
	}

	public static void notNull(String message, Object... objs) {
		if(null != objs && objs.length > 0) {
			for (int i = 0; i < objs.length; i++) {
				if(null == objs[i]) {
					throw new IllegalArgumentException(message);
				}
			}
		}
	}

	public static void isTrue(boolean expression) {
		isTrue(expression, "[Assertion failed] - this expression must be true");
	}
	public static void isTrue(boolean expression, String message) {
		if (!expression) {
			throw new IllegalArgumentException(message);
		}
	}

	public static void hasText(String text, String message) {
		if (!StringUtils.hasText(text)) {
			throw new IllegalArgumentException(message);
		}
	}

	public static void hasText(String text) {
		hasText(text, "[Assertion failed] - this String argument must have text; it must not be null, empty, or blank");
	}
}
