package com.gx.obe.server.management.boq.controller;

import com.gx.obe.server.common.base.BaseController;
import com.gx.obe.server.management.boq.entity.ObeAppraisalPrice;
import com.gx.obe.server.management.boq.service.ObeAppraisalPriceService;
import io.swagger.annotations.Api;
import lombok.AllArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @author mazc
 * @Description:
 */
@Api(tags = "暂估价")
@RestController
@AllArgsConstructor
@RequestMapping("/obeAppraisalPrice")
public class ObeAppraisalPriceController extends BaseController<ObeAppraisalPriceService, ObeAppraisalPrice> {
    @Autowired
    public ObeAppraisalPriceService ObeAppraisalPriceServices;

    /**
     * @param ObeAppraisalPriceList
     * @Description: 批量插入
     * @author mazc
     */
    @PostMapping("/insertByBatch")
    public int insertByBatch(@RequestBody List<ObeAppraisalPrice> ObeAppraisalPriceList) {
        return ObeAppraisalPriceServices.insertByBatch(ObeAppraisalPriceList);
    }

    /**
     * @param ObeAppraisalPriceList
     * @Description: 批量更新
     * @author mazc
     */
    @PostMapping("/updateByBatch")
    public int updateByBatch(@RequestBody List<ObeAppraisalPrice> ObeAppraisalPriceList) {
        return ObeAppraisalPriceServices.updateByBatch(ObeAppraisalPriceList);
    }

    /**
     * @param projectId
     * @return AppraisalPrice
     * @Description: 根据工程Id，获得暂估价
     * @author guoyr
     */
    @GetMapping("/getAppraisalPriceListByProjectId")
    public List<ObeAppraisalPrice> getAppraisalPriceListByProjectId(String projectId) {
        return ObeAppraisalPriceServices.getAppraisalPriceListByProjectId(projectId);
    }

}