package com.gx.obe.server.management.boq.controller;

import com.gx.obe.server.common.base.BaseController;
import com.gx.obe.server.management.boq.entity.ObeProjectSummary;
import com.gx.obe.server.management.boq.service.ObeProjectSummaryService;
import io.swagger.annotations.Api;
import lombok.AllArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @author mazc
 * @Description:
 */
@Api(tags = "项目费用汇总明细")
@RestController
@AllArgsConstructor
@RequestMapping("/obeProjectSummary")
public class ObeProjectSummaryController extends BaseController<ObeProjectSummaryService, ObeProjectSummary> {

    @Autowired
    public ObeProjectSummaryService ObeProjectSummaryServices;

    /**
     * @param ObeProjectSummaryList
     * @Description: 批量插入
     * @author mazc
     */
    @PostMapping("/insertByBatch")
    public int insertByBatch(@RequestBody List<ObeProjectSummary> ObeProjectSummaryList) {
        return ObeProjectSummaryServices.insertByBatch(ObeProjectSummaryList);
    }

    /**
     * @param ObeProjectSummaryList
     * @Description: 批量更新
     * @author mazc
     */
    @PostMapping("/updateByBatch")
    public int updateByBatch(@RequestBody List<ObeProjectSummary> ObeProjectSummaryList) {
        return ObeProjectSummaryServices.updateByBatch(ObeProjectSummaryList);
    }

    /**
     * @param projectId
     * @return
     * @Description: 获得项目的汇总列表
     * @author guoyr
     */
    @GetMapping("/getProjectSummaryAndChildList")
    public List<ObeProjectSummary> getProjectSummaryAndChildList(String projectId) {
        return ObeProjectSummaryServices.getProjectSummaryAndChildList(projectId);
    }

}