package com.gx.obe.server.management.boq.controller;

import com.gx.obe.server.common.base.BaseController;
import com.gx.obe.server.management.boq.entity.ObeQuotaItem;
import com.gx.obe.server.management.boq.service.ObeQuotaItemService;
import io.swagger.annotations.Api;
import lombok.AllArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @author mazc
 * @Description:
 */
@Api(tags = "")
@RestController
@AllArgsConstructor
@RequestMapping("/obeQuotaItem")
public class ObeQuotaItemController extends BaseController<ObeQuotaItemService, ObeQuotaItem> {
    @Autowired
    public ObeQuotaItemService ObeQuotaItemServices;

    /**
     * @param ObeQuotaItemList
     * @Description: 批量插入
     * @author mazc
     */
    @PostMapping("/insertByBatch")
    public int insertByBatch(@RequestBody List<ObeQuotaItem> ObeQuotaItemList) {
        return ObeQuotaItemServices.insertByBatch(ObeQuotaItemList);
    }

    /**
     * @param ObeQuotaItemList
     * @Description: 批量更新
     * @author mazc
     */
    @PostMapping("/updateByBatch")
    public int updateByBatch(@RequestBody List<ObeQuotaItem> ObeQuotaItemList) {
        return ObeQuotaItemServices.updateByBatch(ObeQuotaItemList);
    }

    /**
     * @param billId
     * @return
     * @Description: 获得清单的定额列表
     */
    @GetMapping("/getBillQuotaItemList")
    public List<ObeQuotaItem> getBillQuotaItemList(String billId) {
        return ObeQuotaItemServices.getBillQuotaItemList(billId);
    }

}