package com.gx.obe.server.management.boq.controller;

import com.gx.obe.server.common.base.BaseController;
import com.gx.obe.server.management.boq.entity.ObeRatesTable;
import com.gx.obe.server.management.boq.service.ObeRatesTableService;
import io.swagger.annotations.Api;
import lombok.AllArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @author mazc
 * @Description:
 */
@Api(tags = "")
@RestController
@AllArgsConstructor
@RequestMapping("/obeRatesTable")
public class ObeRatesTableController extends BaseController<ObeRatesTableService, ObeRatesTable> {

    @Autowired
    public ObeRatesTableService ObeRatesTableServices;

    /**
     * @param ObeRatesTableList
     * @Description: 批量插入
     * @author mazc
     */
    @PostMapping("/insertByBatch")
    public int insertByBatch(@RequestBody List<ObeRatesTable> ObeRatesTableList) {
        return ObeRatesTableServices.insertByBatch(ObeRatesTableList);
    }

    /**
     * @param ObeRatesTableList
     * @Description: 批量更新
     * @author mazc
     */
    @PostMapping("/updateByBatch")
    public int updateByBatch(@RequestBody List<ObeRatesTable> ObeRatesTableList) {
        return ObeRatesTableServices.updateByBatch(ObeRatesTableList);
    }

    /**
     * @param tenderId
     * @param supplierId
     * @return
     * @Description: 获得供应商的费率列表
     */
    @GetMapping("/getRatesTableList")
    public List<ObeRatesTable> getRatesTableList(String tenderId, String supplierId, String projectId, String rateType) {
        return ObeRatesTableServices.getRatesTableList(tenderId, supplierId, projectId, rateType);
    }

}