package com.gx.obe.server.management.boq.dao;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Mapper;
import com.gx.obe.server.management.boq.entity.ObeConstructProject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * @author mazc
 * @Description:
 */
@Mapper
public interface ObeConstructProjectMapper extends BaseMapper<ObeConstructProject> {

    /**
     * @param ObeConstructProjectList
     * @Description: 批量更新
     * @author mazc
     */
    Integer updateBatchList(@Param("ObeConstructProjectList") List<ObeConstructProject> ObeConstructProjectList);

    /**
     * @param ObeConstructProjectList
     * @Description: 批量插入
     * @author mazc
     */
    Integer insertByBatch(@Param("ObeConstructProjectList") List<ObeConstructProject> ObeConstructProjectList);

    /**
     * @param ObeConstructProject
     * @param attributes
     * @Description: 指定字段修改
     * @author chenxw
     */
    Integer updateAssignProperty(@Param("ObeConstructProject") ObeConstructProject ObeConstructProject, @Param("attributes") String[] attributes);

    /**
     * @param ObeConstructProjectList
     * @param attributes
     * @Description: 批量指定字段修改
     * @author chenxw
     */
    Integer batchUpdateProperty(@Param("ObeConstructProjectList") List<ObeConstructProject> ObeConstructProjectList, @Param("attributes") String[] attributes);

    /**
     * @param tenderId
     * @return
     * @Description 根据项目ID删除数据
     */
    Integer deleteByTenderId(@Param("tenderId") String tenderId);

    /**
     * @param tenderId
     * @param supplierId
     * @return
     * @Description: 根据项目Id和供应商Id，获得工程信息(包括单项和单位工程)。
     * @author guoyr
     */
    List<ObeConstructProject> getConstructProjectListBySupplierId(@Param("tenderId") String tenderId, @Param("supplierId") String supplierId);

}