package com.gx.obe.server.management.boq.dao;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Mapper;
import com.gx.obe.server.management.boq.entity.ObeMeasureTable;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * @author mazc
 * @Description:
 */
@Mapper
public interface ObeMeasureTableMapper extends BaseMapper<ObeMeasureTable> {

    /**
     * @param ObeMeasureTableList
     * @Description: 批量更新
     * @author mazc
     */
    Integer updateBatchList(@Param("ObeMeasureTableList") List<ObeMeasureTable> ObeMeasureTableList);

    /**
     * @param ObeMeasureTableList
     * @Description: 批量插入
     * @author mazc
     */
    Integer insertByBatch(@Param("ObeMeasureTableList") List<ObeMeasureTable> ObeMeasureTableList);

    /**
     * @param ObeMeasureTable
     * @param attributes
     * @Description: 指定字段修改
     * @author chenxw
     */
    Integer updateAssignProperty(@Param("ObeMeasureTable") ObeMeasureTable ObeMeasureTable, @Param("attributes") String[] attributes);

    /**
     * @param ObeMeasureTableList
     * @param attributes
     * @Description: 批量指定字段修改
     * @author chenxw
     */
    Integer batchUpdateProperty(@Param("ObeMeasureTableList") List<ObeMeasureTable> ObeMeasureTableList, @Param("attributes") String[] attributes);

    /**
     * @param tenderId
     * @return
     * @Description 根据项目ID删除数据
     */
    Integer deleteByTenderId(@Param("tenderId") String tenderId);

    /**
     * @param tenderId
     * @param supplierId
     * @return
     * @Description: 根据措施项目清单列表
     * @author mazc
     */
    List<ObeMeasureTable> getAllMeasureTableQDList(@Param("tenderId") String tenderId, @Param("supplierId") String supplierId, @Param("measureType") String measureType);

    /**
     * @param tenderId
     * @param projectCode
     * @return
     * @Description: 获得招标项目的措施清单列表
     * @author guoyr
     */
    List<ObeMeasureTable> getTenderProjectMeasureTableQdList(@Param("tenderId") String tenderId, @Param("projectCode") String projectCode, @Param("measureType") String measureType);

    /**
     * @param projectId
     * @return
     * @Description: 获得措施的清单列表
     * @author guoyr
     */
    List<ObeMeasureTable> getMeasureTableQdList(@Param("projectId") String projectId);

    /**
     * @param projectId
     * @param measureType
     * @return
     * @Description: 获得措施项目(清单 、 定额 、 工料机汇总)
     * @author guoyr
     */
    List<ObeMeasureTable> getMeasureTableListByProjectId(@Param("projectId") String projectId, @Param("measureType") String measureType);

    /**
     * @param constructionIds
     * @return
     * @Description: 根据项目Id，获得措施项目(清单、定额、工料机汇总)
     * @author mazc
     */
    List<ObeMeasureTable> getMeasureTableByConstructionIdsList(@Param("constructionIds") List<String> constructionIds, @Param("measureType") String measureType);

    /**
     * @param projectId
     * @return
     * @Description: 获得措施的清单和定额列表
     * @author guoyr
     */
    List<ObeMeasureTable> getMeasureTableQdAndDeList(@Param("projectId") String projectId);

}