package com.gx.obe.server.management.boq.dao;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Mapper;
import com.gx.obe.server.management.boq.entity.ObeProjectSummary;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * @author mazc
 * @Description:
 */
@Mapper
public interface ObeProjectSummaryMapper extends BaseMapper<ObeProjectSummary> {

    /**
     * @param ObeProjectSummaryList
     * @Description: 批量更新
     * @author mazc
     */
    Integer updateBatchList(@Param("ObeProjectSummaryList") List<ObeProjectSummary> ObeProjectSummaryList);

    /**
     * @param ObeProjectSummaryList
     * @Description: 批量插入
     * @author mazc
     */
    Integer insertByBatch(@Param("ObeProjectSummaryList") List<ObeProjectSummary> ObeProjectSummaryList);

    /**
     * @param ObeProjectSummary
     * @param attributes
     * @Description: 指定字段修改
     * @author chenxw
     */
    Integer updateAssignProperty(@Param("ObeProjectSummary") ObeProjectSummary ObeProjectSummary, @Param("attributes") String[] attributes);

    /**
     * @param ObeProjectSummaryList
     * @param attributes
     * @Description: 批量指定字段修改
     * @author chenxw
     */
    Integer batchUpdateProperty(@Param("ObeProjectSummaryList") List<ObeProjectSummary> ObeProjectSummaryList, @Param("attributes") String[] attributes);

    /**
     * @param tenderId
     * @return
     * @Description 根据项目ID删除数据
     */
    Integer deleteByTenderId(@Param("tenderId") String tenderId);

    /**
     * @param projectId
     * @return
     * @Description: 获得项目的汇总列表
     * @author guoyr
     */
    List<ObeProjectSummary> getProjectSummaryList(@Param("projectId") String projectId);

}