package com.gx.obe.server.management.boq.dao;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Mapper;
import com.gx.obe.server.management.boq.entity.ObeQuotaItem;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * @author mazc
 * @Description:
 */
@Mapper
public interface ObeQuotaItemMapper extends BaseMapper<ObeQuotaItem> {

    /**
     * @param ObeQuotaItemList
     * @Description: 批量更新
     * @author mazc
     */
    Integer updateBatchList(@Param("ObeQuotaItemList") List<ObeQuotaItem> ObeQuotaItemList);

    /**
     * @param ObeQuotaItemList
     * @Description: 批量插入
     * @author mazc
     */
    Integer insertByBatch(@Param("ObeQuotaItemList") List<ObeQuotaItem> ObeQuotaItemList);

    /**
     * @param ObeQuotaItem
     * @param attributes
     * @Description: 指定字段修改
     * @author chenxw
     */
    Integer updateAssignProperty(@Param("ObeQuotaItem") ObeQuotaItem ObeQuotaItem, @Param("attributes") String[] attributes);

    /**
     * @param ObeQuotaItemList
     * @param attributes
     * @Description: 批量指定字段修改
     * @author chenxw
     */
    Integer batchUpdateProperty(@Param("ObeQuotaItemList") List<ObeQuotaItem> ObeQuotaItemList, @Param("attributes") String[] attributes);

    /**
     * @param tenderId
     * @return
     * @Description 根据项目ID删除数据
     */
    Integer deleteByTenderId(@Param("tenderId") String tenderId);

    /**
     * @param billId
     * @return
     * @Description: 获得清单的定额列表
     */
    List<ObeQuotaItem> getBillQuotaItemList(@Param("billId") String billId);

}