package com.gx.obe.server.management.boq.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonBackReference;
import com.fasterxml.jackson.annotation.JsonManagedReference;
import lombok.Data;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

/**
 * @author mazc
 * @Description:
 */
@Data
@TableName("obe_service_costs")
public class ObeServiceCosts extends Model<ObeServiceCosts> {

    private static final long serialVersionUID = 1L;

    /**
     * 总承包服务费主键，唯一标识。
     */
    @TableId("SERVICE_COSTS_ID")
    private String id;
    /**
     * 总承包服务费父ID
     */
    @TableField("PARENT_ID")
    private String parentId;
    /**
     * 序号
     */
    @TableField("ORD_CODE")
    private String ordCode;
    /**
     * 名称
     */
    @TableField("SERVICE_NAME")
    private String serviceName;
    /**
     * 内容
     */
    @TableField("CONTENT")
    private String content;
    /**
     * 价值
     */
    @TableField("PROFIT")
    private String profit;
    /**
     * 费率（%）
     */
    @TableField("RATE")
    private BigDecimal rate;
    /**
     * 金额（元）
     */
    @TableField("TOTAL")
    private BigDecimal total;
    /**
     * 类型(00：计日工 pid=’’时；01：发包人分包专业工程；02：发包人供应材料)
     */
    @TableField("KIND")
    private String kind;
    /**
     * 备注
     */
    @TableField("REMARK")
    private String remark;
    /**
     * 工程项目外键Id
     */
    @TableField("PROJECT_ID")
    private String projectId;
    /**
     * 序号
     */
    @TableField("SORT_NO")
    private Integer sortNo;
    /**
     * 招标项目外键Id
     */
    @TableField("TENDER_ID")
    private String tenderId;
    /**
     * 供应商Id
     */
    @TableField("SUPPLIER_ID")
    private String supplierId;
    /**
     * 序号
     */
    @TableField("NUMBER")
    private String number;

    @TableField(exist = false)
    @JsonBackReference
    private ObeServiceCosts parentServiceCosts;

    @TableField(exist = false)
    @JsonManagedReference
    private List<ObeServiceCosts> childServiceCostsList;

    public void addChild(ObeServiceCosts childServiceCosts) {
        if (childServiceCostsList == null) {
            childServiceCostsList = new ArrayList<>();
        }
        childServiceCostsList.add(childServiceCosts);
    }

    public static final String SERVICE_COSTS_ID = "SERVICE_COSTS_ID";

    public static final String PARENT_ID = "PARENT_ID";

    public static final String ORD_CODE = "ORD_CODE";

    public static final String SERVICE_NAME = "SERVICE_NAME";

    public static final String CONTENT = "CONTENT";

    public static final String PROFIT = "PROFIT";

    public static final String RATE = "RATE";

    public static final String TOTAL = "TOTAL";

    public static final String KIND = "KIND";

    public static final String REMARK = "REMARK";

    public static final String PROJECT_ID = "PROJECT_ID";

    public static final String SORT_NO = "SORT_NO";

    public static final String TENDER_ID = "TENDER_ID";

    public static final String SUPPLIER_ID = "SUPPLIER_ID";

    public static final String NUMBER = "NUMBER";

}