package com.gx.obe.server.management.boq.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @author mazc
 * @Description:
 */
@Data
@TableName("obe_supply_material_detail")
public class ObeSupplyMaterialDetail extends Model<ObeSupplyMaterialDetail> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId("SUPPLY_MATERIAL_DETAIL_ID")
    private String id;
    /**
     * 招标项目外键Id
     */
    @TableField("TENDER_ID")
    private String tenderId;
    /**
     * 供应商外键Id
     */
    @TableField("SUPPLIER_ID")
    private String supplierId;
    /**
     * 工程项目外键Id
     */
    @TableField("PROJECT_ID")
    private String projectId;
    /**
     * 序号
     */
    @TableField("NUMBER")
    private String number;
    /**
     * 名称
     */
    @TableField("NAME")
    private String name;
    /**
     * 型号规格
     */
    @TableField("SPECIFICATION")
    private String specification;
    /**
     * 单位
     */
    @TableField("UNIT")
    private String unit;
    /**
     * 数量
     */
    @TableField("QUANTITY")
    private BigDecimal quantity;
    /**
     * 单价
     */
    @TableField("PRICE")
    private BigDecimal price;
    /**
     * 合价
     */
    @TableField("TOTAL")
    private BigDecimal total;
    /**
     * 质量等级
     */
    @TableField("QUALITY_GRADE")
    private String qualityGrade;
    /**
     * 供应时间
     */
    @TableField("SUPPLY_TIME")
    private LocalDateTime supplyTime;
    /**
     * 送达地点
     */
    @TableField("SERVICE_ADDRESS")
    private String serviceAddress;
    /**
     * 备注
     */
    @TableField("REMARK")
    private String remark;
    /**
     * 序号
     */
    @TableField("SORT_NO")
    private Integer sortNo;

    public static final String SUPPLY_MATERIAL_DETAIL_ID = "SUPPLY_MATERIAL_DETAIL_ID";

    public static final String TENDER_ID = "TENDER_ID";

    public static final String SUPPLIER_ID = "SUPPLIER_ID";

    public static final String PROJECT_ID = "PROJECT_ID";

    public static final String NUMBER = "NUMBER";

    public static final String NAME = "NAME";

    public static final String SPECIFICATION = "SPECIFICATION";

    public static final String UNIT = "UNIT";

    public static final String QUANTITY = "QUANTITY";

    public static final String PRICE = "PRICE";

    public static final String TOTAL = "TOTAL";

    public static final String QUALITY_GRADE = "QUALITY_GRADE";

    public static final String SUPPLY_TIME = "SUPPLY_TIME";

    public static final String SERVICE_ADDRESS = "SERVICE_ADDRESS";

    public static final String REMARK = "REMARK";

    public static final String SORT_NO = "SORT_NO";

}