package com.gx.obe.server.management.boq.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gx.obe.server.management.boq.entity.ObeConstructProject;
import com.gx.obe.server.management.vo.AnalyzeDataSource;

import java.util.List;
 
/** 
 * @Description: 
 * @author mazc 
 */
public interface ObeConstructProjectService extends IService<ObeConstructProject> {

 	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param ObeConstructProjectList 
	 */
 	Integer updateByBatch(List<ObeConstructProject> ObeConstructProjectList);
	
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeConstructProjectList 
	 */
	Integer insertByBatch(List<ObeConstructProject> ObeConstructProjectList);
	
	/**
     * @Description: 指定字段修改
     * @author chenxw
     * @param ObeConstructProject
	 * @param attributes
     */
    boolean updateAssignProperty(ObeConstructProject ObeConstructProject, String[] attributes);
    
    /**
     * @Description: 批量指定字段修改
     * @author chenxw
     * @param ObeConstructProjectList
	 * @param attributes
     */
    Integer batchUpdateProperty(List<ObeConstructProject> ObeConstructProjectList, String[] attributes);
	
	/** 
	 * @Description: 批量添加或跟新
	 * @author chenxw
	 * @param ObeConstructProjectList
	 * @param attributes
	 * @return 
	 */
    Integer batchSaveOrUpdate(List<ObeConstructProject> ObeConstructProjectList, String[] attributes);

	/**
	 * @Description: 删除所有清单内容
	 * @param tenderId
	 * @return
	 */
	Integer deleteAllConstructProjectDetail(String tenderId);

	/**
	 * @Description: 保存工程项目及明细
	 * @author mazc
	 * @param analyzeDataSource
	 * @return
	 */
	boolean saveConstructProjectDetail(AnalyzeDataSource analyzeDataSource);

	/**
	 * @param tenderId
	 * @param supplierId
	 * @return
	 * @Description: 根据项目Id和供应商Id，获得工程信息(包括单项和单位工程)。
	 * @author guoyr
	 */
	ObeConstructProject getAllConstructProject(String tenderId, String supplierId);

}



