package com.gx.obe.server.management.boq.service;

import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

import com.gx.obe.server.management.boq.entity.ObeDayWorks;

/**
 * @author mazc
 * @Description:
 */
public interface ObeDayWorksService extends IService<ObeDayWorks> {

    /**
     * @param ObeDayWorksList
     * @Description: 批量更新
     * @author mazc
     */
    Integer updateByBatch(List<ObeDayWorks> ObeDayWorksList);

    /**
     * @param ObeDayWorksList
     * @Description: 批量插入
     * @author mazc
     */
    Integer insertByBatch(List<ObeDayWorks> ObeDayWorksList);

    /**
     * @param ObeDayWorks
     * @param attributes
     * @Description: 指定字段修改
     * @author chenxw
     */
    boolean updateAssignProperty(ObeDayWorks ObeDayWorks, String[] attributes);

    /**
     * @param ObeDayWorksList
     * @param attributes
     * @Description: 批量指定字段修改
     * @author chenxw
     */
    Integer batchUpdateProperty(List<ObeDayWorks> ObeDayWorksList, String[] attributes);

    /**
     * @param ObeDayWorksList
     * @param attributes
     * @return
     * @Description: 批量添加或跟新
     * @author chenxw
     */
    Integer batchSaveOrUpdate(List<ObeDayWorks> ObeDayWorksList, String[] attributes);

    /**
     * @param projectId
     * @return DayWorks
     * @Description: 根据工程Id，获得计日工信息。
     * @author guoyr
     */
    List<ObeDayWorks> getDayWorksListByProjectId(String projectId);

}



