package com.gx.obe.server.management.boq.service;

import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

import com.gx.obe.server.management.boq.entity.ObeMeasureTable;

/**
 * @author mazc
 * @Description:
 */
public interface ObeMeasureTableService extends IService<ObeMeasureTable> {

    /**
     * @param ObeMeasureTableList
     * @Description: 批量更新
     * @author mazc
     */
    Integer updateByBatch(List<ObeMeasureTable> ObeMeasureTableList);

    /**
     * @param ObeMeasureTableList
     * @Description: 批量插入
     * @author mazc
     */
    Integer insertByBatch(List<ObeMeasureTable> ObeMeasureTableList);

    /**
     * @param ObeMeasureTable
     * @param attributes
     * @Description: 指定字段修改
     * @author chenxw
     */
    boolean updateAssignProperty(ObeMeasureTable ObeMeasureTable, String[] attributes);

    /**
     * @param ObeMeasureTableList
     * @param attributes
     * @Description: 批量指定字段修改
     * @author chenxw
     */
    Integer batchUpdateProperty(List<ObeMeasureTable> ObeMeasureTableList, String[] attributes);

    /**
     * @param ObeMeasureTableList
     * @param attributes
     * @return
     * @Description: 批量添加或跟新
     * @author chenxw
     */
    Integer batchSaveOrUpdate(List<ObeMeasureTable> ObeMeasureTableList, String[] attributes);

    /**
     * @param tenderId
     * @param supplierId
     * @return
     * @Description: 根据措施项目清单列表
     * @author mazc
     */
    List<ObeMeasureTable> getAllMeasureTableQDList(String tenderId, String supplierId, String measureType);

    /**
     * @param tenderId
     * @param projectCode
     * @return
     * @Description: 获得招标项目的措施清单列表
     * @author guoyr
     */
    List<ObeMeasureTable> getTenderProjectMeasureTableQdList(String tenderId, String projectCode, String measureType);

    /**
     * @param projectId
     * @return
     * @Description: 获得措施的清单列表
     * @author guoyr
     */
    List<ObeMeasureTable> getMeasureTableQdList(String projectId);

    /**
     * @param projectId
     * @param measureType
     * @return
     * @Description: 获得措施项目(清单 、 定额 、 工料机汇总)
     * @author guoyr
     */
    List<ObeMeasureTable> getMeasureTableListByProjectId(String projectId, String measureType);

    /**
     * @param constructionIds
     * @return
     * @Description: 根据项目Id，获得措施项目(清单、定额、工料机汇总)
     * @author mazc
     */
    List<ObeMeasureTable> getMeasureTableByConstructionIdsList(List<String> constructionIds, String measureType);

    /**
     * @param projectId
     * @return
     * @Description: 获得措施的清单和定额列表
     * @author guoyr
     */
    List<ObeMeasureTable> getMeasureTableQdAndDeList(String projectId);

}



