package com.gx.obe.server.management.boq.service;

import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

import com.gx.obe.server.management.boq.entity.ObeServiceCosts;

/**
 * @author mazc
 * @Description:
 */
public interface ObeServiceCostsService extends IService<ObeServiceCosts> {

    /**
     * @param ObeServiceCostsList
     * @Description: 批量更新
     * @author mazc
     */
    Integer updateByBatch(List<ObeServiceCosts> ObeServiceCostsList);

    /**
     * @param ObeServiceCostsList
     * @Description: 批量插入
     * @author mazc
     */
    Integer insertByBatch(List<ObeServiceCosts> ObeServiceCostsList);

    /**
     * @param ObeServiceCosts
     * @param attributes
     * @Description: 指定字段修改
     * @author chenxw
     */
    boolean updateAssignProperty(ObeServiceCosts ObeServiceCosts, String[] attributes);

    /**
     * @param ObeServiceCostsList
     * @param attributes
     * @Description: 批量指定字段修改
     * @author chenxw
     */
    Integer batchUpdateProperty(List<ObeServiceCosts> ObeServiceCostsList, String[] attributes);

    /**
     * @param ObeServiceCostsList
     * @param attributes
     * @return
     * @Description: 批量添加或跟新
     * @author chenxw
     */
    Integer batchSaveOrUpdate(List<ObeServiceCosts> ObeServiceCostsList, String[] attributes);

    /**
     * @param projectId
     * @return ServiceCosts
     * @Description: 根据项目Id，获得总承包服务费。
     * @author guoyr
     */
    List<ObeServiceCosts> getServiceCostsListByProjectId(String projectId);

}



