package com.gx.obe.server.management.boq.service;

import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

import com.gx.obe.server.management.boq.entity.ObeSupplyMaterialDetail;

/**
 * @author mazc
 * @Description:
 */
public interface ObeSupplyMaterialDetailService extends IService<ObeSupplyMaterialDetail> {

    /**
     * @param ObeSupplyMaterialDetailList
     * @Description: 批量更新
     * @author mazc
     */
    Integer updateByBatch(List<ObeSupplyMaterialDetail> ObeSupplyMaterialDetailList);

    /**
     * @param ObeSupplyMaterialDetailList
     * @Description: 批量插入
     * @author mazc
     */
    Integer insertByBatch(List<ObeSupplyMaterialDetail> ObeSupplyMaterialDetailList);

    /**
     * @param ObeSupplyMaterialDetail
     * @param attributes
     * @Description: 指定字段修改
     * @author chenxw
     */
    boolean updateAssignProperty(ObeSupplyMaterialDetail ObeSupplyMaterialDetail, String[] attributes);

    /**
     * @param ObeSupplyMaterialDetailList
     * @param attributes
     * @Description: 批量指定字段修改
     * @author chenxw
     */
    Integer batchUpdateProperty(List<ObeSupplyMaterialDetail> ObeSupplyMaterialDetailList, String[] attributes);

    /**
     * @param ObeSupplyMaterialDetailList
     * @param attributes
     * @return
     * @Description: 批量添加或跟新
     * @author chenxw
     */
    Integer batchSaveOrUpdate(List<ObeSupplyMaterialDetail> ObeSupplyMaterialDetailList, String[] attributes);

    /**
     * @param projectId
     * @return
     * @Description: 根据工程项目id获取招标人供应材料设备明细列表
     * @author chenxw
     */
    List<ObeSupplyMaterialDetail> getSupplyMaterialDetailListByProjectId(String projectId);

}



