package com.gx.obe.server.management.check.dao;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.gx.obe.server.management.check.entity.CheckResult;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import java.util.List;
/** 
 * @Description: 
 * @author mazc 
 */
@Mapper
public interface CheckResultMapper extends BaseMapper<CheckResult> {

	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeCheckResultList 
	 */
	Integer updateBatchList (@Param("ObeCheckResultList") List<CheckResult> ObeCheckResultList);
	
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeCheckResultList 
	 */
	Integer insertByBatch (@Param("ObeCheckResultList") List<CheckResult> ObeCheckResultList);
	
	
	/**
	 * @Description: 删除步骤节点删除一个或多个用户数据
	 * @author mazc
	 * @param tenderId
	 * @param stepId
	 * @param userIdList
	 * @return 
	 */
	Integer deleteEvaluationResultAndUserId(@Param("tenderId") String tenderId,@Param("stepId")String stepId,@Param("userIdList")List<String> userIdList);
	
	
	/**
	 * @Description:删除清标检查结果 \重新开始评审
	 * @author mazc
	 * @param tenderId
	 * @return 
	 */
	Integer deleteRestartEvaluation(@Param("tenderId") String tenderId);
	
	
	/**
	 * @Description: 删除工量清单的检查结果
	 * @author mazc
	 * @param tenderId
	 * @param userId
	 * @param checkItemId
	 * @return 
	 */
	Integer deleteBoqCheckResult(@Param("tenderId")String tenderId, @Param("userId")String userId, @Param("checkItemId")String checkItemId);

	/**
	 * @Description: 根据项目ID删除全部
	 * @author wangxiang
	 * @param tenderId 
	 */
	Integer deleteAllByTenderId(@Param("tenderId")String tenderId);

	/**
	 * @Description: 获取清单检查结果
	 * @author mazc
	 * @param tenderId
	 * @param checkItemId
	 * @param supplierIds
	 * @return
	 */
	List<CheckResult> getCheckResultByDictionaryValueId(@Param("tenderId") String tenderId, @Param("checkItemId") String checkItemId, @Param("supplierIds") List<String> supplierIds);

}