package com.gx.obe.server.management.dictionary.controller;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.gx.obe.server.common.base.BaseController;
import com.gx.obe.server.management.dictionary.entity.TorrentFile;
import com.gx.obe.server.management.dictionary.service.TorrentFileService;

import lombok.AllArgsConstructor;
/** 
 * @Description: 
 * @author mazc 
 */
@RestController
@AllArgsConstructor
@RequestMapping("/torrentFile")
public class TorrentFileController extends BaseController<TorrentFileService,TorrentFile>{
	@Autowired
	public TorrentFileService torrentFileServices;
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param obeTorrentFileList 
	 */
	@PostMapping("/insertByBatch")
	public int insertByBatch(@RequestBody List<TorrentFile> obeTorrentFileList) {
		return torrentFileServices.insertByBatch(obeTorrentFileList);
	}
	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param obeTorrentFileList 
	 */
	@PostMapping("/updateByBatch")
	public int updateByBatch(@RequestBody List<TorrentFile> obeTorrentFileList) {
		return torrentFileServices.updateByBatch(obeTorrentFileList);
	}
	
	/**
	 * @Description: 通过主键删除
	 * @author mazc
	 * @param uTorrentFileId
	 * @return 
	 */
	@PostMapping("/deleteTorrentFileById")
	public int deleteTorrentFileById(@RequestBody List<String> uTorrentFileId){
		return torrentFileServices.deleteTorrentFileById(uTorrentFileId);
	}
	
	/**
	 * @Description:  获取项目经理所拥有的项目的种子文件
	 * @author mazc
	 * @param userId
	 * @return 
	 */
	@GetMapping("/getTorrentFileListByManager")
	public List<TorrentFile> getTorrentFileListByManager(String userId){
		return torrentFileServices.getTorrentFileListByManager(userId);
	}

	@GetMapping("/getTorrentFileByTenderId")
	public TorrentFile getTorrentFileByTenderId(String tenderId){
		return torrentFileServices.getTorrentFileByTenderId(tenderId);
	}
	
	
	@GetMapping("/getTorrentFileAllOrderByFileName")
	public  List<TorrentFile> getTorrentFileAllOrderByFileName(){
		return torrentFileServices.getTorrentFileAllOrderByFileName();
	}
	
	@PostMapping("/batchSaveOrUpdate")
	public int batchSaveOrUpdate(List<TorrentFile> list){
		return torrentFileServices.batchSaveOrUpdate(list);
	}
	
}