package com.gx.obe.server.management.dictionary.dao;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Mapper;
import com.gx.obe.server.management.dictionary.entity.DecEnvelope;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import java.util.List;
/** 
 * @Description: 
 * @author mazc 
 */
 @Mapper
public interface DecEnvelopeMapper extends BaseMapper<DecEnvelope> {

	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param ObeDecEnvelopeList 
	 */
	Integer updateBatchList (@Param("ObeDecEnvelopeList") List<DecEnvelope> ObeDecEnvelopeList);
	
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeDecEnvelopeList 
	 */
	Integer insertByBatch (@Param("ObeDecEnvelopeList")List<DecEnvelope> ObeDecEnvelopeList);
	
	
	
	/**
	 * @Description: 获得解密信封
	 * @author mazc
	 * @param tenderId
	 * @param supplierId
	 * @return 
	 */
	DecEnvelope getDecEnvelope(@Param("tenderId")String tenderId, @Param("supplierId")String supplierId); 
	
	
	/**
	 * @Description: 是否已经存在解密信封
	 * @author mazc
	 * @param tenderId
	 * @param supplierId
	 * @return 
	 */
	Integer hasDecEnvelope(@Param("tenderId")String tenderId, @Param("supplierId")String supplierId);
	
	
	/**
	 * @Description: 删除供应商的投标信封信息
	 * @author mazc
	 * @param tenderId
	 * @param supplierId
	 * @return 
	 */
	Integer deleteSupplierEnvelop(@Param("tenderId")String tenderId,@Param("supplierId") String supplierId);
	
	/**
	 * @Description: 删除项目的投标信封信息
	 * @author mazc
	 * @param tenderId
	 * @return 
	 */
	Integer deleteTenderEnvelop(@Param("tenderId")String tenderId);

}