package com.gx.obe.server.management.dictionary.dao;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Mapper;
import com.gx.obe.server.management.dictionary.entity.Machine;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.Date;
import java.util.List;
/** 
 * @Description: 
 * @author mazc 
 */
 @Mapper
public interface MachineMapper extends BaseMapper<Machine> {

	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param ObeMachineList 
	 */
	Integer updateBatchList (@Param("ObeMachineList") List<Machine> ObeMachineList);
	
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeMachineList 
	 */
	Integer insertByBatch (@Param("ObeMachineList")List<Machine> ObeMachineList);
	
	
	
	/**
	 * @Description: 获得评标机位集合
	 * @author mazc
	 * @param tenderId 项目ID
	 * @param isUsed 是否使用
	 * @param machineType 类型
	 * @return List<Machine>
	 */
	List<Machine> getProjectMachineList(@Param("tenderId")String tenderId, @Param("isUsed")String isUsed, @Param("machineType")String machineType);
	
	/**
	 * @Description: 获得当前项目下已登录的机位
	 * @author mazc
	 * @param tenderId
	 * @param loginTime
	 * @return 
	 */
	List<Machine> getProjectLoginedMachineList(@Param("tenderId")String tenderId,@Param("loginTime") Date loginTime);
	
	
	/**
	 * @Description: 获得指定评标室内的机位列表
	 * @author mazc
	 * @param roomeId
	 * @return 
	 */
	List<Machine> getEvaluationRoomMachineList(@Param("roomeId") String roomeId) ;
	
	
	
	/**
	 * @Description: 删除评标室下的所有视频
	 * @author mazc
	 * @param roomId
	 * @return 
	 */
	Integer deleteEvaluationRoom(@Param("roomId")String roomId);

}