package com.gx.obe.server.management.dictionary.dao;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Mapper;
import com.gx.obe.server.management.dictionary.entity.ProjectTemplate;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.Date;
import java.util.List;

/**
 * @author mazc
 * @Description:
 */
@Mapper
public interface ProjectTemplateMapper extends BaseMapper<ProjectTemplate> {

	/**
	 * @param ObeProjectTemplateList
	 * @Description: 批量更新
	 * @author mazc
	 */
	Integer updateBatchList(@Param("ObeProjectTemplateList") List<ProjectTemplate> ObeProjectTemplateList);

	/**
	 * @param ObeProjectTemplateList
	 * @Description: 批量插入
	 * @author mazc
	 */
	Integer insertByBatch(@Param("ObeProjectTemplateList") List<ProjectTemplate> ObeProjectTemplateList);

	/**
	 * @param ObeProjectTemplate
	 * @param attributes
	 * @Description: 指定字段修改
	 * @author chenxw
	 */
	Integer updateAssignProperty(@Param("ObeProjectTemplate") ProjectTemplate ObeProjectTemplate, @Param("attributes") String[] attributes);

	/**
	 * @param ObeProjectTemplateList
	 * @param attributes
	 * @Description: 批量指定字段修改
	 * @author chenxw
	 */
	Integer batchUpdateProperty(@Param("ObeProjectTemplateList") List<ProjectTemplate> ObeProjectTemplateList, @Param("attributes") String[] attributes);

	/**
	 * @Description: 获取最晚修改时间
	 * @author chenxw
	 * @return
	 */
    Date getLatestModifyTime();

}