package com.gx.obe.server.management.dictionary.dao;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Mapper;
import com.gx.obe.server.management.dictionary.entity.Supervise;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import java.util.List;
/** 
 * @Description: 
 * @author mazc 
 */
 @Mapper
public interface SuperviseMapper extends BaseMapper<Supervise> {

	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param ObeSuperviseList 
	 */
	Integer updateBatchList (@Param("ObeSuperviseList") List<Supervise> ObeSuperviseList);
	
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeSuperviseList 
	 */
	Integer insertByBatch (@Param("ObeSuperviseList")List<Supervise> ObeSuperviseList);
	
	
	 /**
	 * @Description: 查询监督人列表
	 * @author mazc
	 * @param tenderId
	 * @return 
	 */
	List<Supervise> getSuperviseList(@Param("tenderId")String tenderId) ;
	 
	 /**
	 * @Description: 删除监督人
	 * @author mazc
	 * @param tenderId
	 * @param userId
	 * @return 
	 */
	Integer deleteSupervise(@Param("tenderId")String tenderId,@Param("userId") String userId) ;

}