package com.gx.obe.server.management.dictionary.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.gx.obe.server.common.utils.StringUtils;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author mazc
 * @Description:
 */
@EqualsAndHashCode(callSuper = true)
@Data
@TableName("obe_project_template")
public class ProjectTemplate extends Model<ProjectTemplate> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId("TENDER_TEMPLATE_ID")
    private String id;
    /**
     * 模板外键
     */
    @TableField("TEMPLATE_ID")
    private String templateId;
    /**
     * 修改时间
     */
    @TableField("MODIFY_DATE")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date modifyDate;
    /**
     * 模板名称
     */
    @TableField("LOCAL_TEMPLATE_NAME")
    private String localTemplateName;
    /**
     * 模板后缀
     */
    @TableField("LOCAL_TEMPLATE_SUFFIX")
    private String localTemplateSuffix;
    /**
     * 模板类型
     */
    @TableField("TEMPLATE_TYPE")
    private String templateType;
    /**
     * 项目类型
     */
    @TableField("PROJECT_TYPE")
    private String projectType;

    @TableField(exist = false)
    private TemplateFile templateFile;

    public String getTemplateFileName() {
        return StringUtils.allConcat(templateId, localTemplateSuffix);
    }

}