package com.gx.obe.server.management.dictionary.entity;
import java.math.BigDecimal;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * @Description: 供应商保证金
 * @author wangx
 */

/**
 * @preserve private
 */
@TableName("obe_bid_open_cash_deposit")
public class SupplierBidBond extends Model<SupplierBidBond> {
		private static final long serialVersionUID = 1L;
	
	@TableId("BID_OPENCASH_DEPOSIT_ID")
	private String id;
	
	@TableField("TENDER_ID")
	private String tenderId;
	
	@TableField("SUPPLIER_ID")
	private String supplierId;
	
	@TableField("ORG_CODE")
	private String orgCode;
	
	@TableField("AUDIT_REASON")
	private String auditReason;
	
	@TableField("BID_CASH_DEPOSIT_PAY_STATUS")
	private String bidCashDeposiPpayStatus;
	
	@TableField("MY_PAY_TYPE")
	private String myPayType;
	
	@TableField("BANK_NAME")
	private String bankName;
	
	@TableField("BOND_ACCOUNT_NAME")
	private String bondAccountName;
	
	@TableField("BOND_ACCOUNT")
	private String bondAccount;
	
	@TableField("AMOUNT")
	private BigDecimal amount;
	
	@TableField("BID_CASH_DEPOSIT_PAY_TYPE")
	private String bidCashDeposiPpayType;
	
	@TableField("APPLY_URL")
	private String applyUrl;
	
	@TableField("ATTACHMENT_FILE_NAME")
	private String attachmentFileName;
	
	
	@TableField("RENDER_TIME")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date renderTime;
	
	
	
	public String getId() {
		return id;
	}
	
	public void setId(String id) {
		this.id = id;
	}
	
	public String getTenderId() {
		return tenderId;
	}

	public void setTenderId(String tenderId) {
		this.tenderId = tenderId;
	}

	public String getSupplierId() {
		return supplierId;
	}

	public void setSupplierId(String supplierId) {
		this.supplierId = supplierId;
	}

	public String getOrgCode() {
		return orgCode;
	}

	public void setOrgCode(String orgCode) {
		this.orgCode = orgCode;
	}

	public String getAuditReason() {
		return auditReason;
	}

	public void setAuditReason(String auditReason) {
		this.auditReason = auditReason;
	}

	public String getBidCashDeposiPpayStatus() {
		return bidCashDeposiPpayStatus;
	}

	public void setBidCashDeposiPpayStatus(String bidCashDeposiPpayStatus) {
		this.bidCashDeposiPpayStatus = bidCashDeposiPpayStatus;
	}

	public String getMyPayType() {
		return myPayType;
	}

	public void setMyPayType(String myPayType) {
		this.myPayType = myPayType;
	}

	public String getBankName() {
		return bankName;
	}

	public void setBankName(String bankName) {
		this.bankName = bankName;
	}

	public String getBondAccountName() {
		return bondAccountName;
	}

	public void setBondAccountName(String bondAccountName) {
		this.bondAccountName = bondAccountName;
	}

	public String getBondAccount() {
		return bondAccount;
	}

	public void setBondAccount(String bondAccount) {
		this.bondAccount = bondAccount;
	}

	public BigDecimal getAmount() {
		return amount;
	}

	public void setAmount(BigDecimal amount) {
		this.amount = amount;
	}

	public String getBidCashDeposiPpayType() {
		return bidCashDeposiPpayType;
	}

	public void setBidCashDeposiPpayType(String bidCashDeposiPpayType) {
		this.bidCashDeposiPpayType = bidCashDeposiPpayType;
	}

	public String getApplyUrl() {
		return applyUrl;
	}

	public void setApplyUrl(String applyUrl) {
		this.applyUrl = applyUrl;
	}

	public String getAttachmentFileName() {
		return attachmentFileName;
	}

	public void setAttachmentFileName(String attachmentFileName) {
		this.attachmentFileName = attachmentFileName;
	}

	public Date getRenderTime() {
		return renderTime;
	}

	public void setRenderTime(Date renderTime) {
		this.renderTime = renderTime;
	}

	public static final String TENDER_ID = "TENDER_ID";
	public static final String ORG_CODE = "ORG_CODE";
	public static final String AUDIT_REASON = "AUDIT_REASON";
	public static final String BID_CASH_DEPOSIT_PAY_STATUS = "BID_CASH_DEPOSIT_PAY_STATUS";
	public static final String MY_PAY_TYPE = "MY_PAY_TYPE";
	public static final String BANK_NAME = "BANK_NAME";
	public static final String BOND_ACCOUNT_NAME = "BOND_ACCOUNT_NAME";
	public static final String BOND_ACCOUNT = "BOND_ACCOUNT";
	public static final String RENDER_TIME = "RENDER_TIME";
	public static final String AMOUNT = "AMOUNT";
	public static final String BID_CASH_DEPOSIT_PAY_TYPE = "BID_CASH_DEPOSIT_PAY_TYPE";
	public static final String SUPPLIER_ID = "SUPPLIER_ID";
	public static final String APPLY_URL = "APPLY_URL";
	public static final String ATTACHMENT_FILE_NAME = "ATTACHMENT_FILE_NAME";
	
	@Override
	public String toString() {
		return "SupplierBidBond{" + ", id=" + id + ", tenderId=" + tenderId  +  ", supplierId=" + supplierId + 
				", orgCode=" + orgCode + ", auditReason=" + auditReason 
				+ ", bidCashDeposiPpayStatus=" + bidCashDeposiPpayStatus 
				+ ", myPayType=" + myPayType 
				+ ", bankName=" + bankName 
				+ ", bondAccountName=" + bondAccountName 
				+ ", bondAccount=" + bondAccount 
				+ ", amount=" + amount 
				+ ", bidCashDeposiPpayType=" + bidCashDeposiPpayType 
				+ ", applyUrl=" + applyUrl 
				+ ", attachmentFileName=" + attachmentFileName 
				+ ", renderTime=" + renderTime 
				+ "}";
	}
	
}