package com.gx.obe.server.management.dictionary.entity;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.gx.obe.server.management.user.entity.AuthUserEntity;

/**
 * @Description:
 * @author mazc
 */

@TableName("work_member")
public class WorkMember extends Model<WorkMember> {
	private static final long serialVersionUID = 1L;

	/**
	 * 工作人员主键
	 */
	@TableId("MEMBER_ID")
	private String id;
	/**
	 * 用户外键
	 */
	@TableField("USER_ID")
	private String userId;
	/**
	 * 项目ID
	 */
	@TableField("TENDER_ID")
	private String tenderId;
	/**
	 * 根项目ID
	 */
	@TableField("PROJECT_ID")
	private String projectId;
	/**
	 * 工作人员类型
	 */
	@TableField("MEMBER_TYPE")
	private String memberType;
	
	/**
	 * 监督人员类型
	 */
	@TableField("MONITOR_TYPE")
	private String monitorType;

	@TableField(exist = false)
	private AuthUserEntity user;

	public AuthUserEntity getUser() {
		return user;
	}

	public void setUser(AuthUserEntity user) {
		this.user = user;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	public String getTenderId() {
		return tenderId;
	}

	public void setTenderId(String tenderId) {
		this.tenderId = tenderId;
	}

	public String getProjectId() {
		return projectId;
	}

	public void setProjectId(String projectId) {
		this.projectId = projectId;
	}

	public String getMemberType() {
		return memberType;
	}

	public void setMemberType(String memberType) {
		this.memberType = memberType;
	}
	
	public String getMonitorType() {
		return monitorType;
	}

	public void setMonitorType(String monitorType) {
		this.monitorType = monitorType;
	}

	public static final String MEMBER_ID = "MEMBER_ID";

	public static final String USER_ID = "USER_ID";

	public static final String TENDER_ID = "TENDER_ID";

	public static final String PROJECT_ID = "PROJECT_ID";

	public static final String MEMBER_TYPE = "MEMBER_TYPE";

	public static final String MONITOR_TYPE = "MONITOR_TYPE";
	
	@Override
	protected Serializable pkVal() {
		return this.id;
	}

	@Override
	public String toString() {
		return "WorkMember{" + ", id=" + id + ", userId=" + userId + ", tenderId=" + tenderId + ", projectId="
				+ projectId + ", memberType=" + memberType +  ", monitorType=" + monitorType + "}";
	}
}
