package com.gx.obe.server.management.dictionary.service;

import com.baomidou.mybatisplus.extension.service.IService;
import java.util.List;
import com.gx.obe.server.management.dictionary.entity.AwardCertificate;
 
/** 
 * @Description: 
 * @author mazc 
 */
public interface AwardCertificateService extends IService<AwardCertificate> {
 	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param AwardCertificateList 
	 */
 	Integer updateByBatch (List<AwardCertificate> AwardCertificateList);
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param AwardCertificateList 
	 */
	Integer insertByBatch (List<AwardCertificate> AwardCertificateList);
	
	/**
	 * @Description: 获得当前奖项类型下全部供应商
	 * @author mazc
	 * @param awardName
	 * @return 
	 */
	List<AwardCertificate> getAwardCertificateList(String awardName);
	
	
	/**
	 * @Description: 是否含有此供应商
	 * @author mazc
	 * @param orgName
	 * @param awardName
	 * @return 
	 */
	boolean isHasSupplier(String orgName, String awardName);
	
	 /**
	 * @Description: 判断厂商是否已经存在
	 * @author mazc
	 * @param orgName
	 * @param awardName
	 * @return 
	 */
	boolean hasSupplier(String orgName, String awardName);
	

	
	/**
	 * @Description: 更新
	 * @author mazc
	 * @param awardCertificate
	 * @return 
	 */
	int update(AwardCertificate awardCertificate);
	
	 
}



