package com.gx.obe.server.management.dictionary.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gx.obe.server.management.dictionary.entity.EncEnvelope;
 
/** 
 * @Description: 
 * @author mazc 
 */
public interface EncEnvelopeService extends IService<EncEnvelope> {
 	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param ObeEncEnvelopeList 
	 */
 	Integer updateByBatch (List<EncEnvelope> ObeEncEnvelopeList);
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeEncEnvelopeList 
	 */
	Integer insertByBatch (List<EncEnvelope> ObeEncEnvelopeList);
	
		/**
		 * @Description: 删除项目的投标信封信息
		 * @author mazc
		 * @param tenderId
		 * @return 
		 */
		boolean deleteTenderEnvelop(String tenderId);
		
		
		/**
		 * @Description: 删除供应商的投标信封信息
		 * @author mazc
		 * @param tenderId
		 * @param supplierId
		 * @return 
		 */
		boolean deleteSupplierEnvelop(String tenderId, String supplierId);
	
	/**
	 * @Description: 上传投标信封
	 * @author mazc
	 * @param encEnverlope
	 * @return 
	 */
	boolean uploadEncEnvelope(EncEnvelope encEnverlope);

	/**
	 * @Description: 
	 * @author mazc
	 * @param tenderId
	 * @param supplierId
	 * @return 
	 */
	boolean deleteByTenderIdAndSupplierId(String tenderId, String supplierId);
}



