package com.gx.obe.server.management.dictionary.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.gx.obe.server.common.utils.IDUtils;
import com.gx.obe.server.management.dictionary.dao.ProjectTemplateMapper;
import com.gx.obe.server.management.dictionary.dao.TemplateFileMapper;
import com.gx.obe.server.management.dictionary.dao.TemplateLibraryMapper;
import com.gx.obe.server.management.dictionary.entity.TemplateLibrary;
import com.gx.obe.server.management.dictionary.service.TemplateLibraryService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/** 
 * @Description: 
 * @author mazc 
 */
@Service
@Transactional
public class TemplateLibraryServiceImpl extends ServiceImpl<TemplateLibraryMapper, TemplateLibrary> implements TemplateLibraryService {

	@Autowired
	private TemplateLibraryMapper templateLibraryMapper;
	
	@Autowired
	private ProjectTemplateMapper projectTemplateMapper;
	
	@Autowired
	private TemplateFileMapper templateFileMapper;
	
	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param ObeTemplateLibraryList 
	 */
	 @Override
	 @Transactional(rollbackFor = Exception.class)
	public Integer updateByBatch (List<TemplateLibrary> ObeTemplateLibraryList){
		return templateLibraryMapper.updateBatchList(ObeTemplateLibraryList);
	}
	
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeTemplateLibraryList 
	 */
	 @Override
	 @Transactional(rollbackFor = Exception.class)
	public Integer insertByBatch (List<TemplateLibrary> ObeTemplateLibraryList){
		return templateLibraryMapper.insertByBatch(ObeTemplateLibraryList);
	}

	@Override
	public List<TemplateLibrary> getTemplateLibraryAll() {
		QueryWrapper<TemplateLibrary> object  = new QueryWrapper<TemplateLibrary>();
		return templateLibraryMapper.selectList(object);
	}

	@Override
	public TemplateLibrary saveOrUpdateNoEmptyReturn(TemplateLibrary templateLibrary) {
		
		if(null == templateLibrary.getId()) {
			templateLibrary.setId(IDUtils.getId());
			templateLibraryMapper.insert(templateLibrary);
			return templateLibrary;
		}else {
			templateLibraryMapper.updateById(templateLibrary);
			return templateLibraryMapper.selectById(templateLibrary.getId());
		}
	}
		
}
