package com.gx.obe.server.management.evaluation.controller;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.gx.obe.server.common.base.BaseController;
import com.gx.obe.server.management.evaluation.entity.SupplierEvaluationFactor;
import com.gx.obe.server.management.evaluation.service.SupplierEvaluationFactorService;
import com.gx.obe.server.management.vo.BatchSaveOrUpdateVo;
import com.gx.obe.server.management.vo.UpdateAssignPropertyVo;

import io.swagger.annotations.Api;
import lombok.AllArgsConstructor;
/** 
 * @Description: 供应商评审指标服务
 * @author mazc 
 */
@Api(tags = "")
@RestController
@AllArgsConstructor
@RequestMapping("/supplierEvaluationFactor")
public class SupplierEvaluationFactorController extends BaseController<SupplierEvaluationFactorService,SupplierEvaluationFactor>{
	@Autowired
	public SupplierEvaluationFactorService supplierEvaluationFactorServices;
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeSupplierEvaluationFactorList 
	 */
	@PostMapping("/insertByBatch")
	public int insertByBatch(@RequestBody List<SupplierEvaluationFactor> ObeSupplierEvaluationFactorList) {
		return supplierEvaluationFactorServices.insertByBatch(ObeSupplierEvaluationFactorList);
	}
	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param ObeSupplierEvaluationFactorList 
	 */
	@PostMapping("/updateByBatch")
	public int updateByBatch(@RequestBody List<SupplierEvaluationFactor> ObeSupplierEvaluationFactorList) {
		return supplierEvaluationFactorServices.updateByBatch(ObeSupplierEvaluationFactorList);
	}
	
	@GetMapping("/getByFactorCodeAndSupplierId")
	public List<SupplierEvaluationFactor> getSupplierEvaluationFactorByFactorCodeAndSupplierId(String factorCode , String supplierId){
		return supplierEvaluationFactorServices.getSupplierEvaluationFactorByFactorCodeAndSupplierId(factorCode, supplierId);
	}
	
	@PostMapping("/batchSaveOrUpdate")
    public int batchSaveOrUpdate(@RequestBody BatchSaveOrUpdateVo<SupplierEvaluationFactor> batchSaveOrUpdateVo) {
        List<SupplierEvaluationFactor> supplierEvaluationFactorList = batchSaveOrUpdateVo.getEntityList();
        String[] attributes = batchSaveOrUpdateVo.getAttributes();
        return supplierEvaluationFactorServices.batchSaveOrUpdate(supplierEvaluationFactorList, attributes);
    }
	
	@PostMapping("/updateAssignProperty")
	public boolean updateAssignProperty(@RequestBody UpdateAssignPropertyVo<SupplierEvaluationFactor> updateAssignPropertyVo) {
	    SupplierEvaluationFactor supplierEvaluationFactor = updateAssignPropertyVo.getEntity();
	    String[] attributes = updateAssignPropertyVo.getAttributes();
		return supplierEvaluationFactorServices.updateAssignProperty(supplierEvaluationFactor, attributes);
	}
	
	@GetMapping("/getEntityListByTenderId")
	public List<SupplierEvaluationFactor> getEntityListByTenderId(String tenderId){
		return supplierEvaluationFactorServices.getEntityListByTenderId(tenderId);
	}
	
	@GetMapping("/deleteByTenderId")
	public int deleteByTenderId(String tenderId) {
		return supplierEvaluationFactorServices.deleteByTenderId(tenderId);
	}

}