package com.gx.obe.server.management.evaluation.dao;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gx.obe.server.management.evaluation.entity.BidPriceItem;

import java.util.List;
/** 
 * @Description: 
 * @author mazc 
 */
 @Mapper
public interface BidPriceItemMapper extends BaseMapper<BidPriceItem> {

	Integer updateObeBidPriceItemBatchList (@Param("bidPriceItemList")List<BidPriceItem> bidPriceItemList);
	
	
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeBidPriceItemList 
	 */
	Integer insertByBatch (@Param("ObeBidPriceItemList")List<BidPriceItem> bidPriceItemList);
	
	/**
	 * @Description: 删除投标报价明细 按照tenderId删除 
	 * @author mazc
	 * @param tenderId
	 * @return 
	 */
	Integer deleteByTenderId (@Param("tenderId") String tenderId);
	
	
	/**
	 * @Description: 删除分项报价条目
	 * @author mazc
	 * @param deletByPriceTimeId
	 * @return 
	 */
	Integer deletByPriceTimeId(@Param("bidPriceItemId") String bidPriceItemId);
	
	
	/**
	 * @Description:  获取报价子项列表
	 * @author mazc
	 * @param priceId
	 * @return 
	 */
	List<BidPriceItem> getBidPriceItemList(@Param("priceId")String priceId);
	
	
	/**
	 * @Description: 删除分项报价
	 * @author mazc
	 * @return 
	 */
	Integer deleteByPriceId(@Param("bidPriceId") String bidPriceId);	

	/**
	 * @Description: 获取最大序号
	 * @author mazc
	 * @return 
	 */
	Integer getMaxDictValueSortNo(@Param("bidPriceId") String bidPriceId);
}