package com.gx.obe.server.management.evaluation.dao;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Mapper;
import com.gx.obe.server.management.evaluation.entity.EvaluationReport;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import java.util.List;
/** 
 * @Description: 
 * @author mazc 
 */
 @Mapper
public interface EvaluationReportMapper extends BaseMapper<EvaluationReport> {

	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param ObeEvaluationReportList 
	 */
	Integer updateBatchList (@Param("ObeEvaluationReportList") List<EvaluationReport> ObeEvaluationReportList);
	
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeEvaluationReportList 
	 */
	Integer insertByBatch (@Param("ObeEvaluationReportList")List<EvaluationReport> ObeEvaluationReportList);
	
	
	/**
	 * @Description: 删除专家的评标报表
	 * @author mazc
	 * @param tenderId
	 * @param userId
	 * @param stepId
	 * @return 
	 */
	Integer deleteUserEvaluationReport(@Param("tenderId")String tenderId, @Param("userId")String userId,@Param("stepId") String stepId);

	
	/**
	 * @Description: 获得专家的评标报表
	 * @author mazc
	 * @param tenderId
	 * @param userId
	 * @param stepId
	 * @return 
	 */
	EvaluationReport getUserEvaluationReport(@Param("tenderId")String tenderId,@Param("userId")String userId,@Param("stepId") String stepId);
	
 }