package com.gx.obe.server.management.evaluation.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
/** 
 * @Description: 投标报价
 * @author mazc 
 */

@TableName("obe_bid_price")
public class BidPrice extends Model<BidPrice> {
	private static final long serialVersionUID=1L;
	public static final String BID_PRICE_TOTAL_CODE = "BID_PRICE_TOTAL_CODE";
    /**
     * 投标报价id
     */
	@TableId("BID_PRICE_ID")
	private String id;
    /**
     * 招标项目id
     */
    @TableField("TENDER_ID")
        private String tenderId;
    /**
     * 投标报价名称
     */
    @TableField("BID_PRICE_NAME")
        private String bidPriceName;
    /**
     * 是否报价项[01：报价项;00或其他：非报价项]
     */
    @TableField("BID_PRICE_TYPE")
    private String bidPriceType;
    /**
     * 是否计入总价[01：计入总价;00或其他：不计入总价]
     */
    @TableField("JOIN_TOTAL")
        private String joinTotal;
    /**
     * /**
	   * 报价类型 [01:费率; 00或其他:报价]
	   * 在项目中发现，招、投使用的是00为费率，且已经发版，因此这里将00作为费率
     */
    @TableField("PRICE_TYPE")
    private String priceType;
    /**
     * 单位
     */
    @TableField("PRICE_UNIT")
        private String priceUnit;
    /**
     * 投标报价编号
     */
    @TableField("BID_PRICE_CODE")
        private String bidPriceCode;
    
    /**
     * 报标报价
     */
    @TableField("BID_PRICE")
        private BigDecimal bidPrice;
    /**
     * 评标价
     */
    @TableField("EVALUATION_PRICE")
        private BigDecimal evaluationPrice;
    /**
     * 报价修正项
     */
    @TableField("EVALUATION_PRICE_CORRECT_ITEM")
        private BigDecimal evaluationPriceCorrectItem;
    /**
     * 排序
     */
    @TableField("SORT_NO")
        private Integer sortNo;
    
	@TableField(exist = false)
	private List<BidPriceItem> bidPriceItemList;
 

    public List<BidPriceItem> getBidPriceItemList() {
		return bidPriceItemList;
	}

	public void setBidPriceItemList(List<BidPriceItem> bidPriceItemList) {
		this.bidPriceItemList = bidPriceItemList;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getTenderId(){
        return tenderId;
        }

        public void setTenderId(String tenderId) {
        this.tenderId = tenderId;
        }

    public String getBidPriceName(){
        return bidPriceName;
        }

        public void setBidPriceName(String bidPriceName) {
        this.bidPriceName = bidPriceName;
        }

    public String getPriceUnit(){
        return priceUnit;
        }

        public void setPriceUnit(String priceUnit) {
        this.priceUnit = priceUnit;
        }

    public String getJoinTotal(){
        return joinTotal;
        }

        public void setJoinTotal(String joinTotal) {
        this.joinTotal = joinTotal;
        }
        public String getPriceType(){
        	return priceType;
        }
        
        public void setPriceType(String priceType) {
        	this.priceType = priceType;
        }

    public String getBidPriceType() {
			return bidPriceType;
		}

		public void setBidPriceType(String bidPriceType) {
			this.bidPriceType = bidPriceType;
		}

	public String getBidPriceCode(){
        return bidPriceCode;
        }

        public void setBidPriceCode(String bidPriceCode) {
        this.bidPriceCode = bidPriceCode;
        }

    public BigDecimal getBidPrice(){
        return bidPrice;
        }

        public void setBidPrice(BigDecimal bidPrice) {
        this.bidPrice = bidPrice;
        }

    public BigDecimal getEvaluationPrice(){
        return evaluationPrice;
        }

        public void setEvaluationPrice(BigDecimal evaluationPrice) {
        this.evaluationPrice = evaluationPrice;
        }

    public BigDecimal getEvaluationPriceCorrectItem(){
        return evaluationPriceCorrectItem;
        }

        public void setEvaluationPriceCorrectItem(BigDecimal evaluationPriceCorrectItem) {
        this.evaluationPriceCorrectItem = evaluationPriceCorrectItem;
        }

    public Integer getSortNo(){
        return sortNo;
        }

        public void setSortNo(Integer sortNo) {
        this.sortNo = sortNo;
        }

    public static final String BID_PRICE_ID ="BID_PRICE_ID";

    public static final String TENDER_ID ="TENDER_ID";

    public static final String BID_PRICE_NAME ="BID_PRICE_NAME";
    
    public static final String BID_PRICE_TYPE ="BID_PRICE_TYPE";

    public static final String PRICE_UNIT ="PRICE_UNIT";

    public static final String JOIN_TOTAL ="JOIN_TOTAL";
    
    public static final String PRICE_TYPE ="PRICE_TYPE";

    public static final String BID_PRICE_CODE ="BID_PRICE_CODE";

    public static final String BID_PRICE ="BID_PRICE";

    public static final String EVALUATION_PRICE ="EVALUATION_PRICE";

    public static final String EVALUATION_PRICE_CORRECT_ITEM ="EVALUATION_PRICE_CORRECT_ITEM";

    public static final String SORT_NO ="SORT_NO";

@Override
protected Serializable pkVal(){
        return this.id;
    }

@Override
public String toString() {//bidPriceId
    return "BidPrice{" +
            ", id=" + id +
            ", tenderId=" + tenderId +
            ", bidPriceName=" + bidPriceName +
            ", bidPriceCode=" + bidPriceCode +
            ", bidPriceType=" + bidPriceType +
            ", priceUnit=" + priceUnit +
            ", joinTotal=" + joinTotal +
            ", priceType=" + priceType +
            ", bidPrice=" + bidPrice +
            ", evaluationPrice=" + evaluationPrice +
            ", evaluationPriceCorrectItem=" + evaluationPriceCorrectItem +
            ", sortNo=" + sortNo +
    "}";
    }
    }
