package com.gx.obe.server.management.evaluation.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gx.obe.server.common.vo.Result;
import com.gx.obe.server.management.evaluation.entity.BidPrice;

import java.util.List;
 
/** 
 * @Description: 
 * @author mazc 
 */
public interface BidPriceService extends IService<BidPrice> {

	/**
	 * @Description: 指定字段修改
	 * @author chenxw
	 * @param ObeBidPrice
	 * @param attributes
	 */
	boolean updateAssignProperty(BidPrice ObeBidPrice, String[] attributes);

	/**
	 * @Description: 批量指定字段修改
	 * @author chenxw
	 * @param ObeBidPriceList
	 * @param attributes
	 */
	Integer batchUpdateProperty(List<BidPrice> ObeBidPriceList, String[] attributes);

	/**
	 * @Description: 批量添加或跟新
	 * @author chenxw
	 * @param ObeBidPriceList
	 * @param attributes
	 * @return
	 */
	Integer batchSaveOrUpdate(List<BidPrice> ObeBidPriceList, String[] attributes);


	 List<BidPrice> getBidPriceFactorList(String tenderId);
	
	 /**
		 * @Description:  批量保存已解析项目的开标一览表
		 * @author guoyr
		 * @param bidPriceList
		 * @return 
		 */
	boolean batchSaveResolverBidPriceTable(List<BidPrice> bidPriceList);
 
	 /**
	 * @Description: 删除分项报价
	 * @author mazc
	 * @param tenderId
	 * @param bidPrice
	 * @return 
	 */
	 boolean deleteBidPrice(String tenderId, String bidPriceId ,String joinTotal);
	 
	 
	 /**
	 * @Description: 删除项目的分项报价
	 * @author mazc
	 * @param tenderId
	 * @return 
	 */
	boolean deleteProjectBidPrice(String tenderId);
	
	
	
	/**
	 * @Description: 
	 * @author mazc
	 * @param sourceSortNo
	 * @param sourceid
	 * @param targetSortNo
	 * @param targetId
	 * @return 
	 */
	boolean changeBidPriceSortNo(String sourceSortNo, String sourceid, String targetSortNo, String targetId );
	
	
	/**
	 * @Description: 获得分项报价计入总价的其中一个
	 * @author mazc
	 * @param tenderId
	 * @return 
	 */
	BidPrice getBidPriceByJoinTotal(String tenderId);
	
	
	/** 
	 * @Description: 获取项目中开标一览表的数量
	 * @author guoyr
	 * @param tenderId
	 * @return 
	 */
	int getBidPriceTableCount(String tenderId);

	/**
	 * @Description: 保存报价项
	 * @author chenxw
	 * @param bidPrice
	 * @return
	 */
    Result<Integer> saveBidPrice(BidPrice bidPrice);
    
    /**
	 * @Description: 修改报价项
	 * @author chenxw
	 * @param ObeBidPrice
	 * @param attributes
	 */
	boolean updateBidPrice(BidPrice ObeBidPrice, String[] attributes);
    
    /**
     * @Description: 工程获取最大序号
     * @author mazc
     * @param tenderId
     * @return 
     */
    int getMaxBidPriceSortNo(String tenderId);

}

