package com.gx.obe.server.management.evaluation.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.gx.obe.server.management.evaluation.dao.EvaluationStepFactorMapper;
import com.gx.obe.server.management.evaluation.entity.EvaluationStepFactor;
import com.gx.obe.server.management.evaluation.service.EvaluationStepFactorService;

/** 
 * @Description: 
 * @author mazc 
 */
@Service
@Transactional
public class EvaluationStepFactorServiceImpl extends ServiceImpl<EvaluationStepFactorMapper, EvaluationStepFactor> implements EvaluationStepFactorService {

	@Autowired
	private EvaluationStepFactorMapper evaluationStepFactorMapper;

	@Override
	public int deleteStepFactorByTenderId(String tenderId) {
		QueryWrapper<EvaluationStepFactor> queryWrapper = new QueryWrapper<EvaluationStepFactor>();
		queryWrapper.lambda().eq(EvaluationStepFactor::getTenderId, tenderId);
		return evaluationStepFactorMapper.delete(queryWrapper);
	}

	@Override
	public Integer updateBatchList(List<EvaluationStepFactor> ObeEvaluationStepFactorList) {
		return evaluationStepFactorMapper.updateBatchList(ObeEvaluationStepFactorList);
	}

	@Override
	public Integer insertByBatch(List<EvaluationStepFactor> ObeEvaluationStepFactorList) {
		return evaluationStepFactorMapper.insertByBatch(ObeEvaluationStepFactorList);
	}

	/** 
	 * @Description: 删除当前评标步骤所有的评审指标
	 * @author chenxw
	 * @param stepId
	 * @return 
	 */
	@Override
	public int deleteAllEvaluationStepFactor(String stepId) {
	    QueryWrapper<EvaluationStepFactor> queryWrapper = new QueryWrapper<EvaluationStepFactor>();
        queryWrapper.lambda().eq(EvaluationStepFactor::getStepId, stepId);
        return evaluationStepFactorMapper.delete(queryWrapper);
	}

	@Override
	public List<Object> getFactorIdLsitByStepId(String stepId) {
		QueryWrapper<EvaluationStepFactor> queryWrapper = new QueryWrapper<EvaluationStepFactor>();
		queryWrapper.lambda().select(EvaluationStepFactor::getFactorId).eq(EvaluationStepFactor::getStepId, stepId);
		return evaluationStepFactorMapper.selectObjs(queryWrapper);
	}

}
