package com.gx.obe.server.management.evaluation.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.gx.obe.server.management.evaluation.dao.ProjectEvaluationRoomMapper;
import com.gx.obe.server.management.evaluation.entity.ProjectEvaluationRoom;
import com.gx.obe.server.management.evaluation.service.ProjectEvaluationRoomService;

/** 
 * @Description: 
 * @author mazc 
 */
@Service
@Transactional
public class ProjectEvaluationRoomServiceImpl extends ServiceImpl<ProjectEvaluationRoomMapper, ProjectEvaluationRoom> implements ProjectEvaluationRoomService {

	@Autowired
	private ProjectEvaluationRoomMapper projectEvaluationRoomMapper;
	
	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param ObeProjectEvaluationRoomList 
	 */
	 @Override
	 @Transactional(rollbackFor = Exception.class)
	public Integer updateByBatch (List<ProjectEvaluationRoom> ObeProjectEvaluationRoomList){
		return projectEvaluationRoomMapper.updateBatchList(ObeProjectEvaluationRoomList);
	}
	
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeProjectEvaluationRoomList 
	 */
	 @Override
	 @Transactional(rollbackFor = Exception.class)
	public Integer insertByBatch (List<ProjectEvaluationRoom> ObeProjectEvaluationRoomList){
		return projectEvaluationRoomMapper.insertByBatch(ObeProjectEvaluationRoomList);
	}

	@Override
	public boolean isExistPrimaryRoom(String tenderId) {
		return projectEvaluationRoomMapper.isExistPrimaryRoom(tenderId).size() > 0;
	}

	@Override
	public List<ProjectEvaluationRoom> getProjectEvalRoomList(String tenderId) {
		return projectEvaluationRoomMapper.getProjectEvalRoomList(tenderId);
	}

	@Override
	public int deleteByTenderIdAndEvaluationRoomId(String tenderId, String evaluationRoomId) {
		QueryWrapper<ProjectEvaluationRoom> query = new QueryWrapper<ProjectEvaluationRoom>();
		query.lambda().eq(ProjectEvaluationRoom::getTenderId, tenderId).eq(ProjectEvaluationRoom::getEvalbidRoomId, evaluationRoomId);
		return projectEvaluationRoomMapper.delete(query);
	}

	@Override
	public boolean updateAssignProperty(ProjectEvaluationRoom projectEvaluationRoom) {
 		return projectEvaluationRoomMapper.updateById(projectEvaluationRoom) > 0;
	}
	

}
