package com.gx.obe.server.management.expert.controller;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.gx.obe.server.common.base.BaseController;
import com.gx.obe.server.management.expert.dao.ExpertMapper;
import com.gx.obe.server.management.expert.entity.EvaluationStepExpert;
import com.gx.obe.server.management.expert.entity.ExpertEntity;
import com.gx.obe.server.management.expert.service.EvaluationStepExpertService;
import com.gx.obe.server.management.expert.service.ExpertService;

import io.swagger.annotations.Api;
import lombok.AllArgsConstructor;
/** 
 * @Description: 
 * @author mazc 
 */
@Api(tags = "")
@RestController
@AllArgsConstructor
@RequestMapping("/evaluationStepExpert")
public class EvaluationStepExpertController extends BaseController<EvaluationStepExpertService,EvaluationStepExpert>{
	
	@Autowired
	public ExpertMapper expertMapper;
	
	@Autowired
	public ExpertService expertService;
	
	@Autowired
	public EvaluationStepExpertService evaluationStepExpertServices;
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeEvaluationStepExpertList 
	 */
	@PostMapping("/insertByBatch")
	public int insertByBatch(@RequestBody List<EvaluationStepExpert> ObeEvaluationStepExpertList) {
		return evaluationStepExpertServices.insertByBatch(ObeEvaluationStepExpertList);
	}
	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param ObeEvaluationStepExpertList 
	 */
	@PostMapping("/updateByBatch")
	public int updateByBatch(@RequestBody List<EvaluationStepExpert> ObeEvaluationStepExpertList) {
		return evaluationStepExpertServices.updateByBatch(ObeEvaluationStepExpertList);
	}
	
	@GetMapping("/findStepIdByTenderIdAndUserId")
	public List<Object> findStepIdByTenderIdAndUserId(String tenderId,String userId){
		QueryWrapper<EvaluationStepExpert> queryWrapper = new QueryWrapper<EvaluationStepExpert>();
		queryWrapper.select(EvaluationStepExpert.STEP_ID);
		queryWrapper.lambda().eq(EvaluationStepExpert::getTenderId, tenderId).eq(EvaluationStepExpert::getUserId, userId);
		return evaluationStepExpertServices.listObjs(queryWrapper);
	}
	
	@GetMapping("/findUserIdByTenderIdAndStepId")
	public List<ExpertEntity> findUserIdByTenderIdAndStepId(String tenderId,String stepId){
		return expertService.findUserIdByTenderIdAndStepId(tenderId, stepId);
	}
	
}