package com.gx.obe.server.management.expert.controller;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.gx.obe.server.common.base.BaseController;
import com.gx.obe.server.management.expert.entity.ExpertLibrary;
import com.gx.obe.server.management.expert.service.ExpertLibraryService;

import io.swagger.annotations.Api;
import lombok.AllArgsConstructor;
/** 
 * @Description: 
 * @author mazc 
 */
@Api(tags = "")
@RestController
@AllArgsConstructor
@RequestMapping("/expertLibrary")
public class ExpertLibraryController extends BaseController<ExpertLibraryService,ExpertLibrary>{
	@Autowired
	public ExpertLibraryService expertLibraryServices;
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeExpertLibraryList 
	 */
	@PostMapping("/insertByBatch")
	public int insertByBatch(@RequestBody List<ExpertLibrary> ObeExpertLibraryList) {
		return expertLibraryServices.insertByBatch(ObeExpertLibraryList);
	}
	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param ObeExpertLibraryList 
	 */
	@PostMapping("/updateByBatch")
	public int updateByBatch(@RequestBody List<ExpertLibrary> ObeExpertLibraryList) {
		return expertLibraryServices.updateByBatch(ObeExpertLibraryList);
	}
	
	@GetMapping("/changeExpertLibrarySortNo")
	public boolean changeExpertLibrarySortNo(String sourceSortNo, String sourceid, String targetSortNo, String targetId){
		return expertLibraryServices.changeExpertLibrarySortNo(sourceSortNo, sourceid, targetSortNo, targetId);
	}
	
	/**
	 * @Description: 获得专家库的最大序号
	 * @author mazc
	 * @return 
	 */
	@GetMapping("/getMaxExpertLibrarySortNo")
	public int getMaxExpertLibrarySortNo() {
		return expertLibraryServices.getMaxExpertLibrarySortNo();
	}
	
	@PostMapping("/updateAssignProperty")
	public boolean updateAssignProperty(@RequestBody ExpertLibrary expertLibrary) {
		return expertLibraryServices.updateAssignProperty(expertLibrary);
		
	}
	
	/**
	 * @Description: 
	 * @author mazc
	 * @param  
	 * @return 
	 */
	@PostMapping("/saveOrUpdateReturn")
	public ExpertLibrary saveOrUpdateReturn(@RequestBody ExpertLibrary expertLibrary){
		return expertLibraryServices.saveOrUpdateReturn(expertLibrary);
	}
	
	@GetMapping("/getExpertLibByExpertLibNameOrId")
	public List<Object> getExpertLibByExpertLibNameOrId(String id ,String expertLibName){
		return expertLibraryServices.getExpertLibByExpertLibNameOrId(id, expertLibName);
	}
	
	@GetMapping("/getExpertLibraryByOrderByorUseStatus")
	public List<ExpertLibrary> getExpertLibraryByOrderByorUseStatus(String useStatus){
		return expertLibraryServices.getExpertLibraryByOrderByorUseStatus(useStatus);
	}
	
}