package com.gx.obe.server.management.expert.entity;

import java.io.Serializable;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.gx.obe.server.management.user.entity.AuthUserEntity;
/** 
 * @Description: 
 * @author mazc 
 */

@TableName("obe_expert")
public class ExpertEntity extends Model<ExpertEntity> {
	private static final long serialVersionUID=1L;

    /**
     * 主键
     */
     @TableId("EXPERT_ID")
     private String id;
    /**
     * 项目外键
     */
    @TableField("TENDER_ID")
    private String tenderId;
    
    /**
     * 评审成员类型
     */
    @TableField("EXPERT_TYPE")
    private String expertType;
    
    /**
     * 评标类型[00:默认;01:商务标;02:技术标;03:经济标]
     */
    @TableField("EVAL_BID_TYPE")
        private Integer evalBidType;
    /**
     * 评标分组
     */
    @TableField("EVAL_GROUP")
        private String evalGroup;
    /**
     * 用户外键
     */
    @TableField("USER_ID")
        private String userId;
    /**
     * 专家姓名
     */
    @TableField("USER_NAME")
        private String userName;
    /**
     * 是否组长
     */
    @TableField("IS_LEADER")
        private String isLeader;
    /**
     * 签到类型
     */
    @TableField("SIGN_TYPE")
        private String signType;
    /**
     * 签到结果
     */
    @TableField("SIGN_RESULT")
        private String signResult;
    /**
     * 签到时间
     */
    @TableField("SIGN_TIME")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private Date signTime;
    /**
     * 投票次数
     */
    @TableField("VOTES_NUM")
        private Integer votesNum;
    /**
     * 得票数
     */
    @TableField("VOTES")
        private Integer votes;
    /**
     * 签署类型
     */
    @TableField("PROMISE_TYPE")
        private String promiseType;
    /**
     * 创建人外键
     */
    @TableField("CREATE_USER_ID")
        private String createUserId;
    /**
     * 创建时间
     */
    @TableField("CREATE_TIME")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    /**
     * 所评审项目根项目ID
     */
    @TableField("PROJECT_ID")
       private String projectId;
    
    @TableField("MODIFY_TIME")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date modifyTime;
 
    
    public Date getModifyTime() {
		return modifyTime;
	}

	public void setModifyTime(Date modifyTime) {
		this.modifyTime = modifyTime;
	}

	@TableField(exist = false)
    private AuthUserEntity user;
	

    public AuthUserEntity getUser() {
		return user;
	}

	public void setUser(AuthUserEntity user) {
		this.user = user;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getTenderId() {
		return tenderId;
	}

	public void setTenderId(String tenderId) {
		this.tenderId = tenderId;
	}

	public String getExpertType() {
		return expertType;
	}

	public void setExpertType(String expertType) {
		this.expertType = expertType;
	}

	public Integer getEvalBidType() {
		return evalBidType;
	}

	public void setEvalBidType(Integer evalBidType) {
		this.evalBidType = evalBidType;
	}

	public String getEvalGroup() {
		return evalGroup;
	}

	public void setEvalGroup(String evalGroup) {
		this.evalGroup = evalGroup;
	}

	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public String getIsLeader() {
		return isLeader;
	}

	public void setIsLeader(String isLeader) {
		this.isLeader = isLeader;
	}

	public String getSignType() {
		return signType;
	}

	public void setSignType(String signType) {
		this.signType = signType;
	}

	public String getSignResult() {
		return signResult;
	}

	public void setSignResult(String signResult) {
		this.signResult = signResult;
	}

	public Date getSignTime() {
		return signTime;
	}

	public void setSignTime(Date signTime) {
		this.signTime = signTime;
	}

	public Integer getVotesNum() {
		return votesNum;
	}

	public void setVotesNum(Integer votesNum) {
		this.votesNum = votesNum;
	}

	public Integer getVotes() {
		return votes;
	}

	public void setVotes(Integer votes) {
		this.votes = votes;
	}

	public String getPromiseType() {
		return promiseType;
	}

	public void setPromiseType(String promiseType) {
		this.promiseType = promiseType;
	}

	public String getCreateUserId() {
		return createUserId;
	}

	public void setCreateUserId(String createUserId) {
		this.createUserId = createUserId;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public String getProjectId() {
		return projectId;
	}

	public void setProjectId(String projectId) {
		this.projectId = projectId;
	}

	public static final String EXPERT_ID ="EXPERT_ID";

    public static final String TENDER_ID ="TENDER_ID";

    public static final String EXPERT_TYPE ="EXPERT_TYPE";

    public static final String EVAL_BID_TYPE ="EVAL_BID_TYPE";

    public static final String EVAL_GROUP ="EVAL_GROUP";

    public static final String USER_ID ="USER_ID";

    public static final String USER_NAME ="USER_NAME";

    public static final String IS_LEADER ="IS_LEADER";

    public static final String SIGN_TYPE ="SIGN_TYPE";

    public static final String SIGN_RESULT ="SIGN_RESULT";

    public static final String SIGN_TIME ="SIGN_TIME";

    public static final String VOTES_NUM ="VOTES_NUM";

    public static final String VOTES ="VOTES";

    public static final String PROMISE_TYPE ="PROMISE_TYPE";

    public static final String CREATE_USER_ID ="CREATE_USER_ID";

    public static final String CREATE_TIME ="CREATE_TIME";

    public static final String PROJECT_ID ="PROJECT_ID";

@Override
protected Serializable pkVal(){
        return this.id;
    }

@Override
public String toString() {//expertid
    return "ExpertEntity{" +
            ", id=" + id +
            ", tenderId=" + tenderId +
            ", expertType=" + expertType +
            ", evalBidType=" + evalBidType +
            ", evalGroup=" + evalGroup +
            ", userId=" + userId +
            ", userName=" + userName +
            ", isLeader=" + isLeader +
            ", signType=" + signType +
            ", signResult=" + signResult +
            ", signTime=" + signTime +
            ", votesNum=" + votesNum +
            ", votes=" + votes +
            ", promiseType=" + promiseType +
            ", createUserId=" + createUserId +
            ", createTime=" + createTime +
            ", projectId=" + projectId +
    "}";
    }
    }
