package com.gx.obe.server.management.expert.service;

import com.baomidou.mybatisplus.extension.service.IService;
import java.util.List;

import com.gx.obe.server.management.evaluation.entity.EvaluationStep;
import com.gx.obe.server.management.expert.entity.EvaluationStepExpert;
 
/** 
 * @Description: 
 * @author mazc 
 */
public interface EvaluationStepExpertService extends IService<EvaluationStepExpert> {
 	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param ObeEvaluationStepExpertList 
	 */
 	Integer updateByBatch (List<EvaluationStepExpert> ObeEvaluationStepExpertList);
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeEvaluationStepExpertList 
	 */
	Integer insertByBatch (List<EvaluationStepExpert> ObeEvaluationStepExpertList);
	
	
	/** 
	 * @Description: 删除当前项目下所有指定的评标专家
	 * @author mazc
	 * @param tenderId 项目id
	 * @return 
	 */
	public int deleteStepByTenderId(String tenderId);
	
    /**
     * @Description: 清除为当前节点分配置的自定义专家
     * @author chenxw
     * @param tenderId
     * @param stepId
     * @return 
     */
    public int deleteStepByTenderIdAndStepId(String tenderId, String stepId);
    
    /**
     * @Description: 保存评标步骤的自定义专家
     * @author chenxw
     * @param evaluationStep
     * @param stepExpertUserList 
     */
    public void setCustomeExpert(EvaluationStep evaluationStep, List<String> stepExpertUserList);
    
}



