package com.gx.obe.server.management.im.controller;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.gx.obe.server.common.base.BaseController;
import com.gx.obe.server.management.im.entity.Message;
import com.gx.obe.server.management.im.service.MessageService;

import lombok.AllArgsConstructor;
/** 
 * @Description: 
 * @author mazc 
 */
@RestController
@AllArgsConstructor
@RequestMapping("/im/message")
public class MessageController extends BaseController<MessageService,Message>{
	@Autowired
	public MessageService messageServices;
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param MessageList 
	 */
	@PostMapping("/insertByBatch")
	public int insertByBatch(@RequestBody List<Message> MessageList) {
		return messageServices.insertByBatch(MessageList);
	}
	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param MessageList 
	 */
	@PostMapping("/updateByBatch")
	public int updateByBatch(@RequestBody List<Message> MessageList) {
		return messageServices.updateByBatch(MessageList);
	}

	@GetMapping("/getMessageByReceiveIdlist")
	public List<Message> getMessageByReceiveIdlist(String id) {
		return messageServices.getMessageByReceiveIdlist(id);
	}
	
	@GetMapping("/getMessageByReceiveIdAndSendId")
	public List<Message> getMessageByReceiveIdAndSendId(String id, String receiveId) {
		return messageServices.getMessageByReceiveIdAndSendId(id, receiveId);
	}
	
	@GetMapping("/getMessageByGroupIdAndSendTimeAsc")
	public List<Message> getMessageByGroupIdAndSendTimeAsc(String groupId) {
		return messageServices.getMessageByGroupIdAndSendTimeAsc(groupId);
	}
	
	@GetMapping("/getMessageListByReceiveIdAndSendIdAndSendTiemAsc")
	public List<Message> getMessageListByReceiveIdAndSendIdAndSendTiemAsc(String myId, String uid) {
		return messageServices.getMessageListByReceiveIdAndSendIdAndSendTiemAsc(myId, uid);
	}
	@PostMapping("/saveOrUpdate")
	public boolean saveOrUpdate(@RequestBody Message message) {
		return messageServices.saveUpdate(message);
	}
}