package com.gx.obe.server.management.im.dao;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gx.obe.server.management.im.entity.ChatGroup;

import java.util.List;

/** 
 * @Description: 
 * @author mazc 
 */
@Mapper
public interface ChatGroupMapper extends BaseMapper<ChatGroup> {

	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param ChatGroupList 
	 */
	Integer updateBatchList(@Param("ChatGroupList") List<ChatGroup> ChatGroupList);
	
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ChatGroupList 
	 */
	Integer insertByBatch(@Param("ChatGroupList") List<ChatGroup> ChatGroupList);

	/**
     * @Description: 指定字段修改
     * @author chenxw
     * @param ChatGroup
	 * @param attributes
     */
    Integer updateAssignProperty(@Param("ChatGroup")ChatGroup ChatGroup, @Param("attributes")String[] attributes);
    
    /**
     * @Description: 批量指定字段修改
     * @author chenxw
     * @param ChatGroupList
	 * @param attributes
     */
    Integer batchUpdateProperty(@Param("ChatGroupList")List<ChatGroup> ChatGroupList, @Param("attributes")String[] attributes);
    
	
 
    /**
     * @Description:  获得群组
     * @author mazc
     * @param userId
     * @return 
     */
    List<ChatGroup> getGroupList(String userId);
    

}