package com.gx.obe.server.management.im.dao;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.gx.obe.server.management.im.entity.ChatRecord;

/** 
 * @Description: 
 * @author mazc 
 */
@Mapper
public interface ChatRecordMapper extends BaseMapper<ChatRecord> {

	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param ChatRecordList 
	 */
	Integer updateBatchList(@Param("ChatRecordList") List<ChatRecord> ChatRecordList);
	
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ChatRecordList 
	 */
	Integer insertByBatch(@Param("ChatRecordList") List<ChatRecord> ChatRecordList);

	/**
     * @Description: 指定字段修改
     * @author chenxw
     * @param Record
	 * @param attributes
     */
    Integer updateAssignProperty(@Param("Record")ChatRecord Record, @Param("attributes")String[] attributes);
    
    /**
     * @Description: 批量指定字段修改
     * @author chenxw
     * @param ChatRecordList
	 * @param attributes
     */
    Integer batchUpdateProperty(@Param("ChatRecordList")List<ChatRecord> ChatRecordList, @Param("attributes")String[] attributes);
    
    /**
     * @Description: 查询聊天记录
     * @author mazc
     * @param sendId
     * @param receiveId
     * @param pageNo
     * @param pageSize
     * @return 
     */
    IPage<ChatRecord> getRecordPage(Page<ChatRecord> page,@Param("sendId")String sendId,@Param("receiveId") String receiveId);
	
    /**
     * @Description:  查询群组聊天记录
     * @author mazc
     * @param groupId
     * @param pageNo
     * @param pageSize
     * @return 
     */
    IPage<ChatRecord> getGroupRecordPage(Page<ChatRecord> page,@Param("groupId")String groupId);
    
    /**
     * @Description:  查询通知记录
     * @author mazc
     * @param groupId
     * @param pageNo
     * @param pageSize
     * @return 
     */
    IPage<ChatRecord> getNoticeRecordPage(Page<ChatRecord> page,@Param("noticeId")String noticeId);

}