package com.gx.obe.server.management.menu.service;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gx.obe.server.management.menu.entity.AuthMenuFunction;
 
 /**  
 * 
 * @author 
 * @Title: AuthMenuFunctionService
 * @Package com.gx.obe.server.management.menu.service  
 * @Description:    
 * @author: XiaoMa Pro - myzhichao@163.com
 * @date:   2019-05-10   
 * @version V1.0 
 * @Copyright: 2019 www.msypro.com Inc. All rights reserved. 
 *  
 */
public interface AuthMenuFunctionService extends IService<AuthMenuFunction> {
	
	 Map<String,String> getFunctionByMenuIdReturnMap(String menuId);
	 
	 /**
	  * @Description: 获得最大序号
	  * @author mazc
	  * @param menuId
	  * @return 
	  */
	 int getMaxSortNo(String menuId);
	 
	 /**
	  * @Description: 是否统一编码
	  * @author guoyr
	  * @param menuId
	  * @param functionId
	  * @param functionCode
	  * @return 
	  */
	 boolean isUniqueFunctionCode(String menuId, String functionId, String functionCode);

	 /**
		 * @Description: 批量保存
		 * @author wangxiang
		 * @param menuFunctionList
		 * @return 
		 */
	int batchSaveOrUpdate(List<AuthMenuFunction> menuFunctionList);
 
	
	/**
	 * @Description: 交换两个菜单的排序
	 * @author mazc
	 * @param sourceId
	 * @param targetId
	 * @return 
	 */
	boolean changeResourceSortNo(String sourceId, String targetId);
}

