package com.gx.obe.server.management.other.entity;

import java.io.Serializable;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
/** 
 * @Description: 
 * @author mazc 
 */

@TableName("obe_signature_user")
public class SignatureUser extends Model<SignatureUser> {
	private static final long serialVersionUID=1L;

    /**
     * 主键
     */
	@TableId("SIGNATURE_USER_ID")
        private String id;
    /**
     * 签章文件名称
     */
    @TableField("SIGNATURE_ID")
        private String signatureId;
    /**
     * 当前签字人用户id
     */
    @TableField("USER_ID")
        private String userId;
    /**
     * 当前签字人姓名
     */
    @TableField("USER_NAME")
        private String userName;
    /**
     * 签章文件修改时间
     */
    @TableField("SIGNATURE_TIME")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private Date signatureTime;
    /**
     * 签章状态
     */
    @TableField("SIGNATURE_TYPE")
        private String signatureType;
    
    @TableField(exist = false)
private SignatureFile signatureFile;
   

    public SignatureFile getSignatureFile() {
		return signatureFile;
	}

	public void setSignatureFile(SignatureFile signatureFile) {
		this.signatureFile = signatureFile;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getSignatureId(){
        return signatureId;
        }

        public void setSignatureId(String signatureId) {
        this.signatureId = signatureId;
        }

    public String getUserId(){
        return userId;
        }

        public void setUserId(String userId) {
        this.userId = userId;
        }

    public String getUserName(){
        return userName;
        }

        public void setUserName(String userName) {
        this.userName = userName;
        }

    public Date getSignatureTime(){
        return signatureTime;
        }

        public void setSignatureTime(Date signatureTime) {
        this.signatureTime = signatureTime;
        }

    public String getSignatureType(){
        return signatureType;
        }

        public void setSignatureType(String signatureType) {
        this.signatureType = signatureType;
        }

    public static final String SIGNATURE_USER_ID ="SIGNATURE_USER_ID";

    public static final String SIGNATURE_ID ="SIGNATURE_ID";

    public static final String USER_ID ="USER_ID";

    public static final String USER_NAME ="USER_NAME";

    public static final String SIGNATURE_TIME ="SIGNATURE_TIME";

    public static final String SIGNATURE_TYPE ="SIGNATURE_TYPE";

@Override
protected Serializable pkVal(){
        return this.id;
    }

@Override
public String toString() {
	return "SignatureUser [id=" + id + ", signatureId=" + signatureId + ", userId=" + userId + ", userName=" + userName
			+ ", signatureTime=" + signatureTime + ", signatureType=" + signatureType + ", signatureFile="
			+ signatureFile + "]";
}
 
    }
