package com.gx.obe.server.management.other.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gx.obe.server.management.other.entity.SignatureUser;

import java.util.Date;
import java.util.List;

import org.apache.ibatis.annotations.Param;
 
/** 
 * @Description: 
 * @author mazc 
 */
public interface SignatureUserService extends IService<SignatureUser> {
 	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param ObeSignatureUserList 
	 */
 	Integer updateByBatch (List<SignatureUser> ObeSignatureUserList);
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeSignatureUserList 
	 */
	Integer insertByBatch (List<SignatureUser> ObeSignatureUserList);

	/**
	 * @Description: 指定字段修改
	 * @author chenxw
	 * @param ObeSignatureUser
	 * @param attributes
	 */
	boolean updateAssignProperty(SignatureUser ObeSignatureUser, String[] attributes);

	/**
	 * @Description: 批量指定字段修改
	 * @author chenxw
	 * @param ObeSignatureUserList
	 * @param attributes
	 */
	Integer batchUpdateProperty(List<SignatureUser> ObeSignatureUserList, String[] attributes);

	/**
	 * @Description: 批量添加或跟新
	 * @author chenxw
	 * @param ObeSignatureUserList
	 * @param attributes
	 * @return
	 */
	Integer batchSaveOrUpdate(List<SignatureUser> ObeSignatureUserList, String[] attributes);

	/**
	 * @Description: 获得当前用户需要签章的报表
	 * @author mazc
	 * @param tenderId
	 * @param userId
	 * @return 
	 */
	 List<SignatureUser> getUserSignatureFileList(String tenderId, String userId);
	
	/**
	 * @Description: 获得当前用户需要签章的报表
	 * @author mazc
	 * @param signatureId
	 * @param userId
	 * @return 
	 */
	 SignatureUser getSignatureUserById(String id);
	
	
	 /**
	 * @Description: 修改用户签章状态
	 * @author mazc
	 * @param id
	 * @param signatureType
	 * @param signatureTime
	 * @return 
	 */
	boolean updateSignatureUser(String id, String signatureType, Date signatureTime);
	 
	List<SignatureUser> getSignatureUserBySignatureId(String signatureId);
	 
	/**
	 * @Description: 通过用户名修改用户签章状态
	 * @author guoyr
	 * @param id
	 * @param userName
	 * @param signatureType
	 * @return 
	 */
	boolean updateSignatureTypeByUserName(String signatureId, String userName, String signatureType);
}




