package com.gx.obe.server.management.other.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.gx.obe.server.management.other.dao.InquireEnvelopMapper;
import com.gx.obe.server.management.other.entity.InquireEnvelop;
import com.gx.obe.server.management.other.service.InquireEnvelopService;

/** 
 * @Description: 
 * @author mazc 
 */
@Service
@Transactional
public class InquireEnvelopServiceImpl extends ServiceImpl<InquireEnvelopMapper, InquireEnvelop> implements InquireEnvelopService {

	@Autowired
	private InquireEnvelopMapper inquireEnvelopMapper;
	
	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param ObeInquireEnvelopList 
	 */
	 @Override
	 @Transactional(rollbackFor = Exception.class)
	public Integer updateByBatch (List<InquireEnvelop> ObeInquireEnvelopList){
		return inquireEnvelopMapper.updateBatchList(ObeInquireEnvelopList);
	}
	
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeInquireEnvelopList 
	 */
	 @Override
	 @Transactional(rollbackFor = Exception.class)
	public Integer insertByBatch (List<InquireEnvelop> ObeInquireEnvelopList){
		return inquireEnvelopMapper.insertByBatch(ObeInquireEnvelopList);
	}

	/** 
	 * @Description: 获得询标函列表
	 * @author mazc
	 * @param tenderId
	 * @param userId
	 * @param supplierId
	 * @param stepId
	 * @return 
	 */
	@Override
	public List<InquireEnvelop> getInquireEnvelopList(String tenderId, String userId, String supplierId,String stepId) {
		return inquireEnvelopMapper.getInquireEnvelopList(tenderId, userId, supplierId, stepId);
	}

	@Override
	public boolean updateAssignProperty(InquireEnvelop inquireEnvelop) {
		return inquireEnvelopMapper.updateById(inquireEnvelop) > 0;
	}
	

}
