package com.gx.obe.server.management.price.controller;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.gx.obe.server.common.base.BaseController;
import com.gx.obe.server.management.price.entity.BidPriceItemHisResult;
import com.gx.obe.server.management.price.service.BidPriceItemHisResultService;

import io.swagger.annotations.Api;
import lombok.AllArgsConstructor;
/** 
 * @Description: 投标报价明细（开标一览表明细）历史服务
 * @author mazc 
 */
@Api(tags = "")
@RestController
@AllArgsConstructor
@RequestMapping("/bidPriceItemHisResult")
public class BidPriceItemHisResultController extends BaseController<BidPriceItemHisResultService,BidPriceItemHisResult>{
	@Autowired
	public BidPriceItemHisResultService bidPriceItemHisResultServices;
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeBidPriceItemHisResultList 
	 */
	@PostMapping("/insertByBatch")
	public int insertByBatch(@RequestBody List<BidPriceItemHisResult> ObeBidPriceItemHisResultList) {
		return bidPriceItemHisResultServices.insertByBatch(ObeBidPriceItemHisResultList);
	}
	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param ObeBidPriceItemHisResultList 
	 */
	@PostMapping("/updateByBatch")
	public int updateByBatch(@RequestBody List<BidPriceItemHisResult> ObeBidPriceItemHisResultList) {
		return bidPriceItemHisResultServices.updateByBatch(ObeBidPriceItemHisResultList);
	}
	
	@GetMapping("/conditionalQueryList")
	public List<BidPriceItemHisResult> conditionalQueryList(String tenderId,String bidPriceId,String supplierId,int round){
		return bidPriceItemHisResultServices.conditionalQueryList(tenderId, bidPriceId, supplierId, round);
	}
	
}