package com.gx.obe.server.management.price.entity;

import java.io.Serializable;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;

@TableName("obe_bidprice_round")
public class ReBidPriceRound extends Model<ReBidPriceRound> {
	private static final long serialVersionUID=1L;
	
    /**
     * 轮次ID主键
     */
    @TableId("ROUND_ID")
	private String id;
	
	/**
	 * 轮次计数
	 */
    @TableField("ROUND_NO")
	private Integer roundNo;
	
	/**
	 * 项目ID
	 */
    @TableField("TENDER_ID")
	private String tenderId;
	
	/**
	 * 轮次名称
	 */
    @TableField("ROUND_NAME")
	private String roundName;
	
	/**
	 * 轮次完成状态 [00:未完成,01:完成]
	 */
    @TableField("ROUND_STATUS")
	private String roundStatus;
	
	/**
	 * 轮次说明
	 */
    @TableField("ROUND_MEMO")
	private String roundMemo;
	
	/**
	 * 报价截止时间
	 */		 
    @TableField("ROUND_END_TIME")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date roundEndTime;
    
    /**
	 * 提前完成轮次原因
	 */
    @TableField("ROUND_OPINION")
	private String roundOpinion;

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public Integer getRoundNo() {
		return roundNo;
	}

	public void setRoundNo(Integer roundNo) {
		this.roundNo = roundNo;
	}

	public String getTenderId() {
		return tenderId;
	}

	public void setTenderId(String tenderId) {
		this.tenderId = tenderId;
	}

	public String getRoundName() {
		return roundName;
	}

	public void setRoundName(String roundName) {
		this.roundName = roundName;
	}

	public String getRoundStatus() {
		return roundStatus;
	}

	public void setRoundStatus(String roundStatus) {
		this.roundStatus = roundStatus;
	}

	public String getRoundMemo() {
		return roundMemo;
	}

	public void setRoundMemo(String roundMemo) {
		this.roundMemo = roundMemo;
	}

	public Date getRoundEndTime() {
		return roundEndTime;
	}

	public void setRoundEndTime(Date roundEndTime) {
		this.roundEndTime = roundEndTime;
	}
	
	public String getRoundOpinion() {
		return roundOpinion;
	}

	public void setRoundOpinion(String roundOpinion) {
		this.roundOpinion = roundOpinion;
	}

	@Override
	protected Serializable pkVal(){
	        return this.id;
	    }

	 public static final String ROUND_ID ="ROUND_ID";
	 public static final String ROUND_NO ="ROUND_NO";
	 public static final String TENDER_ID ="TENDER_ID";
	 public static final String ROUND_NAME ="ROUND_NAME";
	 public static final String ROUND_STATUS ="ROUND_STATUS";
	 public static final String ROUND_MEMO ="ROUND_MEMO";
	 public static final String ROUND_LASTTIME ="ROUND_END_TIME";
	 public static final String ROUND_OPINION ="ROUND_OPINION";
	
	 
	 @Override
	 public String toString() {
	     return "ReBidPriceRound{" +
	             ", id=" + id +
	             ", roundNo=" + roundNo +
	             ", tenderId=" + tenderId +
	             ", roundName=" + roundName +
	             ", roundStatus=" + roundStatus +
	             ", roundMemo=" + roundMemo +
	             ", roundEndTime=" + roundEndTime +
	             ", roundOpinion=" + roundOpinion +
	     "}";
	     }
	 
	 
}
