package com.gx.obe.server.management.price.service;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.web.bind.annotation.RequestBody;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gx.obe.server.management.price.entity.ReBidPriceRound;
import com.gx.obe.server.management.supplier.entity.Supplier;

public interface ReBidPriceRoundService extends IService<ReBidPriceRound> {

	/**添加轮次
	 * @param tenderId
	 * @param round
	 * @return
	 */
	boolean moveHisBidPrice(String tenderId, List<Supplier> supplierList, int round);

	/**
	 * @Description: 获得项目的最大伦次
	 * @author wangxiang
	 * @param tenderId
	 * @return 
	 */
	int getMaxRound(String tenderId);

	/**
	 * @Description: 复原初始报价
	 * @author wangxiang
	 * @return 
	 */
	boolean moveInitBidPrice(String tenderId);
	
	
	ReBidPriceRound getBidPriceRoundByIndex(String tenderId, int round);
	
	List<ReBidPriceRound> getBidPriceRoundList(String tenderId);
	
	 boolean updateAssignProperty(ReBidPriceRound bidPriceRound );
	 
	 /**
	 * @Description: 开启新一轮报价
	 * @author guoyr
	 * @param bidPriceRound
	 * @param tenderId
	 * @param useLastBidPrice
	 * @param supplierIds
	 * @return 
	 */
	boolean insertNewBidpriceRound(ReBidPriceRound bidPriceRound , String tenderId, String[] supplierIds, String[] evaluationStepSupplierIds);
	
	 /**
	 * @Description: 开启新一轮报价
	 * @author guoyr
	 * @param bidPriceRound
	 * @param tenderId
	 * @param useLastBidPrice
	 * @param supplierIds
	 * @return 
	 */
	boolean insertNewLocalBidpriceRound(ReBidPriceRound bidPriceRound , String tenderId, String[] supplierIds);
	
	/**
     * @Description: 指定字段修改
     * @param ObeBidpriceRound
	 * @param attributes
     */
    Integer updateAssignProperty(ReBidPriceRound ObeBidpriceRound,String[] attributes);
    
    /**
     * @Description: 批量指定字段修改
     * @param ObeBidpriceRoundList
	 * @param attributes
     */
    Integer batchUpdateProperty(List<ReBidPriceRound> ObeBidpriceRoundList, String[] attributes);
	
     boolean completeCurrentRound( ReBidPriceRound bidPriceRound);
}
