package com.gx.obe.server.management.price.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.gx.obe.server.management.price.dao.BidPriceItemHisResultMapper;
import com.gx.obe.server.management.price.entity.BidPriceItemHisResult;
import com.gx.obe.server.management.price.service.BidPriceItemHisResultService;

/** 
 * @Description: 
 * @author mazc 
 */
@Service
@Transactional
public class BidPriceItemHisResultServiceImpl extends ServiceImpl<BidPriceItemHisResultMapper, BidPriceItemHisResult> implements BidPriceItemHisResultService {

	@Autowired
	private BidPriceItemHisResultMapper bidPriceItemHisResultMapper;
	
	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param ObeBidPriceItemHisResultList 
	 */
	 @Override
	 @Transactional(rollbackFor = Exception.class)
	public Integer updateByBatch (List<BidPriceItemHisResult> ObeBidPriceItemHisResultList){
		return bidPriceItemHisResultMapper.updateBatchList(ObeBidPriceItemHisResultList);
	}
	
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeBidPriceItemHisResultList 
	 */
	 @Override
	 @Transactional(rollbackFor = Exception.class)
	public Integer insertByBatch (List<BidPriceItemHisResult> ObeBidPriceItemHisResultList){
		return bidPriceItemHisResultMapper.insertByBatch(ObeBidPriceItemHisResultList);
	}

	@Override
	public List<BidPriceItemHisResult> conditionalQueryList(String tenderId, String bidPriceId, String supplierId,
			int round) {
		QueryWrapper<BidPriceItemHisResult> queryWrapper = new QueryWrapper<BidPriceItemHisResult>();
		queryWrapper.lambda().eq(BidPriceItemHisResult::getTenderId, tenderId)
		.eq(BidPriceItemHisResult::getBidPriceId, bidPriceId)
		.eq(BidPriceItemHisResult::getSupplierId, supplierId)
		.eq(BidPriceItemHisResult::getRound, round);
		return bidPriceItemHisResultMapper.selectList(queryWrapper);
	}
	

}
