package com.gx.obe.server.management.project.controller;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.gx.obe.server.common.base.BaseController;
import com.gx.obe.server.management.project.entity.BillTableProjectResult;
import com.gx.obe.server.management.project.service.BillTableProjectResultService;

import io.swagger.annotations.Api;
import lombok.AllArgsConstructor;
/** 
 * @Description: 
 * @author mazc 
 */
@Api(tags = "")
@RestController
@AllArgsConstructor
@RequestMapping("/billTableProjectResult")
public class BillTableProjectResultController extends BaseController<BillTableProjectResultService,BillTableProjectResult>{
	@Autowired
	public BillTableProjectResultService BillTableProjectResultServices;
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeBillTableProjectResultList 
	 */
	@PostMapping("/insertByBatch")
	public int insertByBatch(@RequestBody List<BillTableProjectResult> ObeBillTableProjectResultList) {
		return BillTableProjectResultServices.insertByBatch(ObeBillTableProjectResultList);
	}
	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param ObeBillTableProjectResultList 
	 */
	@PostMapping("/updateByBatch")
	public int updateByBatch(@RequestBody List<BillTableProjectResult> ObeBillTableProjectResultList) {
		return BillTableProjectResultServices.updateByBatch(ObeBillTableProjectResultList);
	}

	
  /**
	 * @Description: 获取分部分项清单结果
	 * @author mazc
	 * @param tenderId
	 * @param dxProjectCode
	 * @param dwProjectCode
	 * @param billCode
	 * @param userId
	 * @return 
	 */
	@GetMapping("/getBillTableProjectResult")
	public List<BillTableProjectResult> getBillTableProjectResult(String tenderId, String dxProjectCode, String dwProjectCode, String billCode, String userId){
		return BillTableProjectResultServices.getBillTableProjectResult(tenderId, dxProjectCode, dwProjectCode, billCode, userId);
	}
	
	
	@PostMapping("/batchSaveOrUpdate")
	public int batchSaveOrUpdate(List<BillTableProjectResult> list){
		return BillTableProjectResultServices.batchSaveOrUpdate(list);
	}

	
}