package com.gx.obe.server.management.project.service.impl;

import java.util.ArrayList;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.gx.obe.server.common.utils.IDUtils;
import com.gx.obe.server.management.project.dao.BillTableProjectResultMapper;
import com.gx.obe.server.management.project.entity.BillTableProjectResult;
import com.gx.obe.server.management.project.service.BillTableProjectResultService;

/** 
 * @Description: 
 * @author mazc 
 */
@Service
@Transactional
public class BillTableProjectResultServiceImpl extends ServiceImpl<BillTableProjectResultMapper, BillTableProjectResult> implements BillTableProjectResultService {

	@Autowired
	private BillTableProjectResultMapper billTableProjectResultMapper;
	
	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param ObeBillTableProjectResultList 
	 */
	 @Override
	 @Transactional(rollbackFor = Exception.class)
	public Integer updateByBatch (List<BillTableProjectResult> ObeBillTableProjectResultList){
		return billTableProjectResultMapper.updateBatchList(ObeBillTableProjectResultList);
	}
	
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeBillTableProjectResultList 
	 */
	 @Override
	 @Transactional(rollbackFor = Exception.class)
	public Integer insertByBatch (List<BillTableProjectResult> ObeBillTableProjectResultList){
		return billTableProjectResultMapper.insertByBatch(ObeBillTableProjectResultList);
	}

	@Override
	public List<BillTableProjectResult> getBillTableProjectResult(String tenderId, String dxProjectCode,
			String dwProjectCode, String billCode, String userId) {
		return billTableProjectResultMapper.getBillTableProjectResult(tenderId, dxProjectCode, dwProjectCode, billCode, userId);
	}

	@Override
	public int batchSaveOrUpdate(List<BillTableProjectResult> billTableProjectResultList) {
		int iCount = 0;
		List<BillTableProjectResult> insert = new ArrayList<BillTableProjectResult>();
		List<BillTableProjectResult> Update= new ArrayList<BillTableProjectResult>();
		for(BillTableProjectResult billTableProjectResult : billTableProjectResultList) {
			if(null == billTableProjectResult.getId()) {
				billTableProjectResult.setId(IDUtils.getId());
				insert.add(billTableProjectResult);
			}else {
				Update.add(billTableProjectResult);
			}
		}
		iCount += billTableProjectResultMapper.updateBatchList(Update);
		iCount += billTableProjectResultMapper.insertByBatch(insert);
		return iCount;	
 	}
	

}
