package com.gx.obe.server.management.revokerecord.service;

import com.baomidou.mybatisplus.extension.service.IService;
import java.util.List;
import com.gx.obe.server.management.revokerecord.entity.RevokeRecord;
 
/** 
 * @Description: 
 * @author mazc 
 */
public interface RevokeRecordService extends IService<RevokeRecord> {
 	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param ObeRevokeRecordList 
	 */
 	Integer updateByBatch (List<RevokeRecord> ObeRevokeRecordList);
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeRevokeRecordList 
	 */
	Integer insertByBatch (List<RevokeRecord> ObeRevokeRecordList);
	
	
	/**
	 * @Description: 是否发起项目废标
	 * @author mazc
	 * @param tenderId 项目ID
	 * @param revokeType 废标状态(01：废标；02：取消废标)
	 * @return boolean
	 */
	 boolean isStartRevoke(String tenderId, String revokeType);
	
	/**
	 * @Description: 根据废标状态，获得废标记录集合。 
	 * @author mazc
	 * @param tenderId 项目ID
	 * @param revokeType 废标状态(01：废标；02：取消废标)
	 * @return List<RevokeRecord>
	 */
	 List<RevokeRecord> getRevokeRecordList(String tenderId, String revokeType);
	
	/**
	 * @Description: 根据废标状态，删除废标记录。 
	 * @author mazc
	 * @param tenderId 项目ID
	 * @param revokeType 废标状态(01：废标；02：取消废标)
	 * @return int
	 */
	 int delRevokeRecord(String tenderId, String revokeType);
}



