package com.gx.obe.server.management.revokerecord.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.gx.obe.server.common.enumeration.TenderProjectEnum;
import com.gx.obe.server.common.utils.StringUtils;
import com.gx.obe.server.management.revokerecord.dao.RevokeRecordMapper;
import com.gx.obe.server.management.revokerecord.entity.RevokeRecord;
import com.gx.obe.server.management.revokerecord.service.RevokeRecordService;

/** 
 * @Description: 
 * @author mazc 
 */
@Service
@Transactional
public class RevokeRecordServiceImpl extends ServiceImpl<RevokeRecordMapper, RevokeRecord> implements RevokeRecordService {

	@Autowired
	private RevokeRecordMapper revokeRecordMapper;
	
	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param ObeRevokeRecordList 
	 */
	 @Override
	 @Transactional(rollbackFor = Exception.class)
	public Integer updateByBatch (List<RevokeRecord> ObeRevokeRecordList){
		return revokeRecordMapper.updateBatchList(ObeRevokeRecordList);
	}
	
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeRevokeRecordList 
	 */
	 @Override
	 @Transactional(rollbackFor = Exception.class)
	public Integer insertByBatch (List<RevokeRecord> ObeRevokeRecordList){
		return revokeRecordMapper.insertByBatch(ObeRevokeRecordList);
	}

	@Override
	public boolean isStartRevoke(String tenderId, String revokeType) {
		return revokeRecordMapper.isStartRevoke(tenderId, StringUtils.isEmpty(revokeType) ? TenderProjectEnum.EFFECTIVE_YES : revokeType) > 0;
	}

	@Override
	public List<RevokeRecord> getRevokeRecordList(String tenderId, String revokeType) {
		return revokeRecordMapper.getRevokeRecordList(tenderId, StringUtils.isEmpty(revokeType) ? TenderProjectEnum.EFFECTIVE_YES : revokeType);
	}

	@Override
	public int delRevokeRecord(String tenderId, String revokeType) {
		return revokeRecordMapper.delRevokeRecord(tenderId, revokeType);
	}
	

}
