package com.gx.obe.server.management.struct_new.controller;

import com.gx.obe.server.common.base.BaseController;
import com.gx.obe.server.management.struct_new.entity.ObeBalanceSheet;
import com.gx.obe.server.management.struct_new.service.ObeBalanceSheetService;
import io.swagger.annotations.Api;
import lombok.AllArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @author mazc
 * @Description:
 */
@Api(tags = "")
@RestController
@AllArgsConstructor
@RequestMapping("/obeBalanceSheet")
public class ObeBalanceSheetController extends BaseController<ObeBalanceSheetService, ObeBalanceSheet> {

    @Autowired
    public ObeBalanceSheetService ObeBalanceSheetServices;

    /**
     * @param ObeBalanceSheetList
     * @Description: 批量插入
     * @author mazc
     */
    @PostMapping("/insertByBatch")
    public int insertByBatch(@RequestBody List<ObeBalanceSheet> ObeBalanceSheetList) {
        return ObeBalanceSheetServices.insertByBatch(ObeBalanceSheetList);
    }

    /**
     * @param ObeBalanceSheetList
     * @Description: 批量更新
     * @author mazc
     */
    @PostMapping("/updateByBatch")
    public int updateByBatch(@RequestBody List<ObeBalanceSheet> ObeBalanceSheetList) {
        return ObeBalanceSheetServices.updateByBatch(ObeBalanceSheetList);
    }

}