package com.gx.obe.server.management.struct_new.controller;

import com.gx.obe.server.common.base.BaseController;
import com.gx.obe.server.management.struct_new.entity.ObeWorkExperience;
import com.gx.obe.server.management.struct_new.service.ObeWorkExperienceService;
import io.swagger.annotations.Api;
import lombok.AllArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @author mazc
 * @Description:
 */
@Api(tags = "")
@RestController
@AllArgsConstructor
@RequestMapping("/obeWorkExperience")
public class ObeWorkExperienceController extends BaseController<ObeWorkExperienceService, ObeWorkExperience> {

    @Autowired
    public ObeWorkExperienceService ObeWorkExperienceServices;

    /**
     * @param ObeWorkExperienceList
     * @Description: 批量插入
     * @author mazc
     */
    @PostMapping("/insertByBatch")
    public int insertByBatch(@RequestBody List<ObeWorkExperience> ObeWorkExperienceList) {
        return ObeWorkExperienceServices.insertByBatch(ObeWorkExperienceList);
    }

    /**
     * @param ObeWorkExperienceList
     * @Description: 批量更新
     * @author mazc
     */
    @PostMapping("/updateByBatch")
    public int updateByBatch(@RequestBody List<ObeWorkExperience> ObeWorkExperienceList) {
        return ObeWorkExperienceServices.updateByBatch(ObeWorkExperienceList);
    }

    /**
     * @param projectLeaderId
     * @return
     * @Description: 获取工作经历列表
     * @author chenxw
     */
    @GetMapping("/getWorkExperienceList")
    public List<ObeWorkExperience> getWorkExperienceList(String projectLeaderId) {
        return ObeWorkExperienceServices.getWorkExperienceList(projectLeaderId);
    }

}