package com.gx.obe.server.management.struct_new.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

/**
 * @author mazc
 * @Description:
 */
@EqualsAndHashCode(callSuper = true)
@Data
@TableName("obe_balance_sheet")
public class ObeBalanceSheet extends Model<ObeBalanceSheet> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId("ID")
    private String id;
    /**
     * 项目ID
     */
    @TableField("TENDER_ID")
    private String tenderId;
    /**
     * 财务ID
     */
    @TableField("FINANCE_ID")
    private String financeId;
    /**
     * 总资产
     */
    @TableField("BALANCE_TOTAL")
    private BigDecimal balanceTotal;
    /**
     * 流动资产
     */
    @TableField("BALANCE_CECURRENT_ASSETS")
    private BigDecimal balanceCecurrentAssets;
    /**
     * 存货
     */
    @TableField("INVENTORY")
    private BigDecimal inventory;
    /**
     * 应收账款
     */
    @TableField("RECEIVABLES")
    private BigDecimal receivables;
    /**
     * 不良资产
     */
    @TableField("BAD_ASSETS")
    private BigDecimal badAssets;
    /**
     * 总负债
     */
    @TableField("BALANCE_TOTALLIABILITIES")
    private BigDecimal balanceTotalliabilities;
    /**
     * 流动负债
     */
    @TableField("BALANCE_CURRENT_LIABILITIES")
    private BigDecimal balanceCurrentLiabilities;
    /**
     * 所有者权益
     */
    @TableField("OWNERSHIP_INTEREST")
    private BigDecimal ownershipInterest;
    /**
     * 其中：当年非正常增加
     */
    @TableField("ABNORMAL_INCREASE")
    private BigDecimal abnormalIncrease;

}