package com.gx.obe.server.management.struct_new.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gx.obe.server.management.struct_new.entity.ObeFinance;

import java.util.List;

/**
 * @author mazc
 * @Description:
 */
public interface ObeFinanceService extends IService<ObeFinance> {

    /**
     * @param ObeFinanceList
     * @Description: 批量更新
     * @author mazc
     */
    Integer updateByBatch(List<ObeFinance> ObeFinanceList);

    /**
     * @param ObeFinanceList
     * @Description: 批量插入
     * @author mazc
     */
    Integer insertByBatch(List<ObeFinance> ObeFinanceList);

    /**
     * @param ObeFinance
     * @param attributes
     * @Description: 指定字段修改
     * @author chenxw
     */
    boolean updateAssignProperty(ObeFinance ObeFinance, String[] attributes);

    /**
     * @param ObeFinanceList
     * @param attributes
     * @Description: 批量指定字段修改
     * @author chenxw
     */
    Integer batchUpdateProperty(List<ObeFinance> ObeFinanceList, String[] attributes);

    /**
     * @param ObeFinanceList
     * @param attributes
     * @return
     * @Description: 批量添加或跟新
     * @author chenxw
     */
    Integer batchSaveOrUpdate(List<ObeFinance> ObeFinanceList, String[] attributes);

    /**
     * @param tenderId
     * @param modelDataId
     * @return
     * @Description: 获取财务状况列表
     * @author chenxw
     */
    List<ObeFinance> getFinanceList(String tenderId, String modelDataId);

}



