package com.gx.obe.server.management.supplier.dao;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gx.obe.server.management.supplier.entity.SupplierOpeningResult;

import java.math.BigDecimal;
import java.util.List;

/**
 * @Description:
 * @author mazc
 */
@Mapper
public interface SupplierOpeningResultMapper extends BaseMapper<SupplierOpeningResult> {
    
    Integer updateObeSupplierOpeningResultBatchList(@Param("ObeSupplierOpeningResultList") List<SupplierOpeningResult> ObeSupplierOpeningResultList);
    
    /**
     * @Description: 批量插入
     * @author mazc
     * @param ObeSupplierOpeningResultList
     */
    Integer insertByBatch(@Param("ObeSupplierOpeningResultList") List<SupplierOpeningResult> ObeSupplierOpeningResultList);
    
    /**
     * @Description:
     * @author mazc
     * @param tenderId
     * @param supplierId
     * @return
     */
    SupplierOpeningResult getSupplierOpeningResult(@Param("tenderId") String tenderId, @Param("supplierId") String supplierId);
    
    /**
     * @Description: 修改供应商的总价
     * @author mazc
     * @param tenderId
     * @param supplierId
     * @param bidPrice
     * @param evalPrice
     * @return
     */
    Integer updateSupplierSumPrice(@Param("tenderId") String tenderId, @Param("supplierId") String supplierId, @Param("bidPrice") boolean bidPrice, @Param("evalPrice") boolean evalPrice);
    
    /**
     * @Description:
     * @author mazc
     * @param evaluationPrice
     * @param evaluationPriceOriginal
     * @param tenderId
     * @param supplierId
     * @return
     */
    Integer updateEvaluationPriceAndEvaluationPriceOriginal(@Param("evaluationPrice") BigDecimal evaluationPrice, @Param("evaluationPriceOriginal") String evaluationPriceOriginal, @Param("tenderId") String tenderId, @Param("supplierId") String supplierId);
    
    /**
     * @Description: 按照tenderId删除
     * @author mazc
     * @param tenderId
     * @return
     */
    Integer deleteByTenderId(@Param("tenderId") String tenderId);
    
    /**
     * @Description: 获得开标结果主键
     * @author mazc
     * @param tenderId
     * @param supplierId
     * @return
     */
    String getSupplierOpeningResultId(@Param("tenderId") String tenderId, @Param("supplierId") String supplierId);
    
    /**
     * @Description: 查询项目的所有供应商的开标结果
     * @author wangxiang
     * @param tenderId
     * @return
     */
    List<SupplierOpeningResult> getSupplierOpeningResultByTenderId(@Param("tenderId") String tenderId);
    
    /**
     * @Description: 指定字段修改
     * @author chenxw
     * @param ObeSupplierOpeningResult
     */
    Integer updateAssignProperty(@Param("ObeSupplierOpeningResult") SupplierOpeningResult ObeSupplierOpeningResult, @Param("attributes") String[] attributes);
    
    /**
     * @Description: 批量指定字段修改
     * @author chenxw
     * @param ObeSupplierOpeningResultList
     */
    Integer batchUpdateProperty(@Param("ObeSupplierOpeningResultList") List<SupplierOpeningResult> ObeSupplierOpeningResultList, @Param("attributes") String[] attributes);
    
}