package com.gx.obe.server.management.supplier.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
/** 
 * @Description: 
 * @author mazc 
 */

@TableName("obe_supplier_opening_result")
public class SupplierOpeningResult extends Model<SupplierOpeningResult> {
	private static final long serialVersionUID=1L;

    /**
     * 主键
     */
	@TableId("OPENING_RESULT_ID")
	private String id;
    /**
     * 投标人外键
     */
    @TableField("SUPPLIER_ID")
    private String supplierId;
    /**
     * 项目外键
     */
    @TableField("TENDER_ID")
    private String tenderId;
    /**
     * 投标人开标状态
     */
    @TableField("BID_OPENING_STATUS")
    private String bidOpeningStatus;
    /**
     * 技术标解密状态
     */
    @TableField("TECHNOLOGY_BID_STATUS")
    private String technologyBidStatus;
    /**
     * 商务标解密状态
     */
    @TableField("BUSINESS_BID_STATUS")
    private String businessBidStatus;
    /**
     * 价格标解密状态
     */
    @TableField("PRICE_BID_STATUS")
        private String priceBidStatus;
    /**
     * 远程解密
     */
    @TableField("REMOTE_DECRYPT")
        private String remoteDecrypt;
    /**
     * 投标人开标意见
     */
    @TableField("BID_OPENING_OPINION")
        private String bidOpeningOpinion;
    /**
     * 确认时间
     */
    @TableField("CONFIRM_TIME")
        private LocalDateTime confirmTime;
    /**
     * 确认状态
     */
    @TableField("CONFIRM_STATUS")
        private String confirmStatus;
    /**
     * 经济标确认时间
     */
    @TableField("PRICE_CONFIRM_TIME")
        private LocalDateTime priceConfirmTime;
    /**
     * 经济标确认状态
     */
    @TableField("PRICE_CONFIRM_STATUS")
        private String priceConfirmStatus;
    /**
     * 确认意见
     */
    @TableField("CONFIRM_OPINION")
        private String confirmOpinion;
    /**
     * 废标状态
     */
    @TableField("REVOKE_STATUS")
        private String revokeStatus;
    /**
     * 废标原因
     */
    @TableField("REVOKE_REASON")
        private String revokeReason;
    /**
     * 投标人解密记录
     */
    @TableField("BID_OPENING_RECORD")
        private String bidOpeningRecord;
    @TableField("BID_PRICE")
        private BigDecimal bidPrice;
    /**
     * 币种
     */
    @TableField("CURRENCY_CODE")
        private String currencyCode;
    /**
     * 币种名称
     */
    @TableField("CURRENCY_NAME")
        private String currencyName;
    /**
     * 币种单位
     */
    @TableField("PRICE_UNIT")
        private String priceUnit;
    @TableField("EVALUATION_PRICE")
        private BigDecimal evaluationPrice;
    @TableField("EVALUATION_PRICE_ORIGINAL")
        private BigDecimal evaluationPriceOriginal;
    /**
     * 评标价修正原因
     */
    @TableField("MODIFY_REASON")
        private String modifyReason;
    /**
     * 基准价
     */
    @TableField("BASE_PRICE")
        private BigDecimal basePrice;
    /**
     * 偏差率
     */
    @TableField("DEVIATION_RATE")
        private BigDecimal deviationRate;
    /**
     * 解密时间
     */
    @TableField("BID_OPENING_TIME")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private Date bidOpeningTime;
    /**
     * 经济标解密时间
     */
    @TableField("PRICE_BID_OPENING_TIME")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private Date priceBidOpeningTime;
    /**
     * 报价文件
     */
    @TableField("PRICE_XML")
        private byte[] priceXml;


    /**
     * 	最终投标报价
     */
    @TableField("FINAL_BID_PRICE")
	private BigDecimal finalBidPrice;


	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getSupplierId(){
        return supplierId;
        }

        public void setSupplierId(String supplierId) {
        this.supplierId = supplierId;
        }

    public String getTenderId(){
        return tenderId;
        }

        public void setTenderId(String tenderId) {
        this.tenderId = tenderId;
        }

    public String getBidOpeningStatus(){
        return bidOpeningStatus;
        }

        public void setBidOpeningStatus(String bidOpeningStatus) {
        this.bidOpeningStatus = bidOpeningStatus;
        }

    public String getTechnologyBidStatus(){
        return technologyBidStatus;
        }

        public void setTechnologyBidStatus(String technologyBidStatus) {
        this.technologyBidStatus = technologyBidStatus;
        }

    public String getBusinessBidStatus(){
        return businessBidStatus;
        }

        public void setBusinessBidStatus(String businessBidStatus) {
        this.businessBidStatus = businessBidStatus;
        }

    public String getPriceBidStatus(){
        return priceBidStatus;
        }

        public void setPriceBidStatus(String priceBidStatus) {
        this.priceBidStatus = priceBidStatus;
        }

    public String getRemoteDecrypt(){
        return remoteDecrypt;
        }

        public void setRemoteDecrypt(String remoteDecrypt) {
        this.remoteDecrypt = remoteDecrypt;
        }

    public String getBidOpeningOpinion(){
        return bidOpeningOpinion;
        }

        public void setBidOpeningOpinion(String bidOpeningOpinion) {
        this.bidOpeningOpinion = bidOpeningOpinion;
        }

    public LocalDateTime getConfirmTime(){
        return confirmTime;
        }

        public void setConfirmTime(LocalDateTime confirmTime) {
        this.confirmTime = confirmTime;
        }

    public String getConfirmStatus(){
        return confirmStatus;
        }

        public void setConfirmStatus(String confirmStatus) {
        this.confirmStatus = confirmStatus;
        }

    public LocalDateTime getPriceConfirmTime(){
        return priceConfirmTime;
        }

        public void setPriceConfirmTime(LocalDateTime priceConfirmTime) {
        this.priceConfirmTime = priceConfirmTime;
        }

    public String getPriceConfirmStatus(){
        return priceConfirmStatus;
        }

        public void setPriceConfirmStatus(String priceConfirmStatus) {
        this.priceConfirmStatus = priceConfirmStatus;
        }

    public String getConfirmOpinion(){
        return confirmOpinion;
        }

        public void setConfirmOpinion(String confirmOpinion) {
        this.confirmOpinion = confirmOpinion;
        }

    public String getRevokeStatus(){
        return revokeStatus;
        }

        public void setRevokeStatus(String revokeStatus) {
        this.revokeStatus = revokeStatus;
        }

    public String getRevokeReason(){
        return revokeReason;
        }

        public void setRevokeReason(String revokeReason) {
        this.revokeReason = revokeReason;
        }

    public String getBidOpeningRecord(){
        return bidOpeningRecord;
        }

        public void setBidOpeningRecord(String bidOpeningRecord) {
        this.bidOpeningRecord = bidOpeningRecord;
        }

    public BigDecimal getBidPrice(){
        return bidPrice;
        }

        public void setBidPrice(BigDecimal bidPrice) {
        this.bidPrice = bidPrice;
        }

    public BigDecimal getFinalBidPrice() {
			return finalBidPrice;
		}

		public void setFinalBidPrice(BigDecimal finalBidPrice) {
			this.finalBidPrice = finalBidPrice;
		}

	public String getCurrencyCode(){
        return currencyCode;
        }

        public void setCurrencyCode(String currencyCode) {
        this.currencyCode = currencyCode;
        }

    public String getCurrencyName(){
        return currencyName;
        }

        public void setCurrencyName(String currencyName) {
        this.currencyName = currencyName;
        }

    public String getPriceUnit(){
        return priceUnit;
        }

        public void setPriceUnit(String priceUnit) {
        this.priceUnit = priceUnit;
        }

    public BigDecimal getEvaluationPrice(){
        return evaluationPrice;
        }

        public void setEvaluationPrice(BigDecimal evaluationPrice) {
        this.evaluationPrice = evaluationPrice;
        }

    public BigDecimal getEvaluationPriceOriginal(){
        return evaluationPriceOriginal;
        }

        public void setEvaluationPriceOriginal(BigDecimal evaluationPriceOriginal) {
        this.evaluationPriceOriginal = evaluationPriceOriginal;
        }

    public String getModifyReason(){
        return modifyReason;
        }

        public void setModifyReason(String modifyReason) {
        this.modifyReason = modifyReason;
        }

    public BigDecimal getBasePrice(){
        return basePrice;
        }

        public void setBasePrice(BigDecimal basePrice) {
        this.basePrice = basePrice;
        }

    public BigDecimal getDeviationRate(){
        return deviationRate;
        }

        public void setDeviationRate(BigDecimal deviationRate) {
        this.deviationRate = deviationRate;
        }

    public Date getBidOpeningTime(){
        return bidOpeningTime;
        }

        public void setBidOpeningTime(Date bidOpeningTime) {
        this.bidOpeningTime = bidOpeningTime;
        }

    public Date getPriceBidOpeningTime(){
        return priceBidOpeningTime;
        }

        public void setPriceBidOpeningTime(Date priceBidOpeningTime) {
        this.priceBidOpeningTime = priceBidOpeningTime;
        }

    public byte[] getPriceXml(){
        return priceXml;
        }

        public void setPriceXml(byte[] priceXml) {
        this.priceXml = priceXml;
        }

    public static final String OPENING_RESULT_ID ="OPENING_RESULT_ID";

    public static final String SUPPLIER_ID ="SUPPLIER_ID";

    public static final String TENDER_ID ="TENDER_ID";

    public static final String BID_OPENING_STATUS ="BID_OPENING_STATUS";

    public static final String TECHNOLOGY_BID_STATUS ="TECHNOLOGY_BID_STATUS";

    public static final String BUSINESS_BID_STATUS ="BUSINESS_BID_STATUS";

    public static final String PRICE_BID_STATUS ="PRICE_BID_STATUS";

    public static final String REMOTE_DECRYPT ="REMOTE_DECRYPT";

    public static final String BID_OPENING_OPINION ="BID_OPENING_OPINION";

    public static final String CONFIRM_TIME ="CONFIRM_TIME";

    public static final String CONFIRM_STATUS ="CONFIRM_STATUS";

    public static final String PRICE_CONFIRM_TIME ="PRICE_CONFIRM_TIME";

    public static final String PRICE_CONFIRM_STATUS ="PRICE_CONFIRM_STATUS";

    public static final String CONFIRM_OPINION ="CONFIRM_OPINION";

    public static final String REVOKE_STATUS ="REVOKE_STATUS";

    public static final String REVOKE_REASON ="REVOKE_REASON";

    public static final String BID_OPENING_RECORD ="BID_OPENING_RECORD";

    public static final String BID_PRICE ="BID_PRICE";

    public static final String CURRENCY_CODE ="CURRENCY_CODE";

    public static final String CURRENCY_NAME ="CURRENCY_NAME";

    public static final String PRICE_UNIT ="PRICE_UNIT";

    public static final String EVALUATION_PRICE ="EVALUATION_PRICE";

    public static final String EVALUATION_PRICE_ORIGINAL ="EVALUATION_PRICE_ORIGINAL";

    public static final String MODIFY_REASON ="MODIFY_REASON";

    public static final String BASE_PRICE ="BASE_PRICE";

    public static final String DEVIATION_RATE ="DEVIATION_RATE";

    public static final String BID_OPENING_TIME ="BID_OPENING_TIME";

    public static final String PRICE_BID_OPENING_TIME ="PRICE_BID_OPENING_TIME";

    public static final String PRICE_XML ="PRICE_XML";

@Override
protected Serializable pkVal(){
        return this.id;
    }

@Override
public String toString() {//openingResultId
    return "SupplierOpeningResult{" +
            ", id=" + id +
            ", supplierId=" + supplierId +
            ", tenderId=" + tenderId +
            ", bidOpeningStatus=" + bidOpeningStatus +
            ", technologyBidStatus=" + technologyBidStatus +
            ", businessBidStatus=" + businessBidStatus +
            ", priceBidStatus=" + priceBidStatus +
            ", remoteDecrypt=" + remoteDecrypt +
            ", bidOpeningOpinion=" + bidOpeningOpinion +
            ", confirmTime=" + confirmTime +
            ", confirmStatus=" + confirmStatus +
            ", priceConfirmTime=" + priceConfirmTime +
            ", priceConfirmStatus=" + priceConfirmStatus +
            ", confirmOpinion=" + confirmOpinion +
            ", revokeStatus=" + revokeStatus +
            ", revokeReason=" + revokeReason +
            ", bidOpeningRecord=" + bidOpeningRecord +
            ", bidPrice=" + bidPrice +
            ", currencyCode=" + currencyCode +
            ", currencyName=" + currencyName +
            ", priceUnit=" + priceUnit +
            ", evaluationPrice=" + evaluationPrice +
            ", evaluationPriceOriginal=" + evaluationPriceOriginal +
            ", modifyReason=" + modifyReason +
            ", basePrice=" + basePrice +
            ", deviationRate=" + deviationRate +
            ", bidOpeningTime=" + bidOpeningTime +
            ", priceBidOpeningTime=" + priceBidOpeningTime +
            ", priceXml=" + priceXml +
    "}";
    }
    }
