package com.gx.obe.server.management.table.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gx.obe.server.management.table.entity.ObeBidPriceTable;
import com.gx.obe.server.management.vo.BidPriceTableDateInfo;

import java.util.List;

/**
 * @author mazc
 * @Description:
 */
public interface ObeBidPriceTableService extends IService<ObeBidPriceTable> {

    /**
     * @param ObeBidPriceTableList
     * @Description: 批量更新
     * @author mazc
     */
    Integer updateByBatch(List<ObeBidPriceTable> ObeBidPriceTableList);

    /**
     * @param ObeBidPriceTableList
     * @Description: 批量插入
     * @author mazc
     */
    Integer insertByBatch(List<ObeBidPriceTable> ObeBidPriceTableList);

    /**
     * @param ObeBidPriceTable
     * @param attributes
     * @Description: 指定字段修改
     * @author chenxw
     */
    boolean updateAssignProperty(ObeBidPriceTable ObeBidPriceTable, String[] attributes);

    /**
     * @param ObeBidPriceTableList
     * @param attributes
     * @Description: 批量指定字段修改
     * @author chenxw
     */
    Integer batchUpdateProperty(List<ObeBidPriceTable> ObeBidPriceTableList, String[] attributes);

    /**
     * @param ObeBidPriceTableList
     * @param attributes
     * @return
     * @Description: 批量添加或跟新
     * @author chenxw
     */
    Integer batchSaveOrUpdate(List<ObeBidPriceTable> ObeBidPriceTableList, String[] attributes);

    /**
     * @param tenderId
     * @param bidPriceTableDateInfo
     * @return
     * @Description: 清空并保存投标报价明细表信息数据
     * @author chenxw
     */
    boolean deleteOrSaveBidPriceTableDateInfo(String tenderId, String supplierId, BidPriceTableDateInfo bidPriceTableDateInfo);

    /**
     * @param supplierId
     * @return
     * @Description: 根据供应商id获取投标报价表
     * @author chenxw
     */
    List<ObeBidPriceTable> getBidPriceTableInfoBySupplierId(String tenderId, String supplierId);

    /**
     * @Description: 根据供应商id获取投标报价明细表
     * @author chenxw
     * @param supplierId
     * @return
     */
    ObeBidPriceTable getBidPriceTableDetailBySupplierId(String tenderId, String supplierId);

    /**
     * @param id
     * @return
     * @Description: 根据id获取投标报价表
     * @author chenxw
     */
    ObeBidPriceTable getBidPriceTableInfoById(String id);

}



