package com.gx.obe.server.management.task.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author mazc
 * @Description:
 */
@EqualsAndHashCode(callSuper = true)
@Data
@TableName("obe_task")
public class ObeTask extends Model<ObeTask> {

    private static final long serialVersionUID = 1L;

    @TableId("ID")
    private String id;
    @TableField("TENDER_ID")
    private String tenderId;
    @TableField("INITIATOR_USER_ID")
    private String initiatorUserId;
    @TableField("EXECUTOR_USER_ID")
    private String executorUserId;
    @TableField("TASK_TYPE")
    private String taskType;
    @TableField("MODE_TYPE")
    private String modeType;
    @TableField("PARAMS")
    private String params;
    @TableField("STATE")
    private String state;
    @TableField("INITIATION_TIME")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date initiationTime;
    @TableField("EXECUTION_TIME")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date executionTime;

    /**
     * 项目编号
     */
    @TableField(exist = false)
    private String projectCode;

    /**
     * 项目名称
     */
    @TableField(exist = false)
    private String projectName;

    /**
     * 发起人名称
     */
    @TableField(exist = false)
    private String initiatorUserName;

    public static final String ID = "ID";

    public static final String TENDER_ID = "TENDER_ID";

    public static final String INITIATOR_USER_ID = "INITIATOR_USER_ID";

    public static final String EXECUTOR_USER_ID = "EXECUTOR_USER_ID";

    public static final String TASK_TYPE = "TASK_TYPE";

    public static final String MODE_TYPE = "MODE_TYPE";

    public static final String PARAMS = "PARAMS";

    public static final String STATE = "STATE";

    public static final String INITIATION_TIME = "INITIATION_TIME";

    public static final String EXECUTION_TIME = "EXECUTION_TIME";

    @Override
    public String toString() {
        return "ObeTask{" +
                ", id=" + id +
                ", tenderId=" + tenderId +
                ", initiatorUserId=" + initiatorUserId +
                ", executorUserId=" + executorUserId +
                ", taskType=" + taskType +
                ", modeType=" + modeType +
                ", params=" + params +
                ", state=" + state +
                ", initiationTime=" + initiationTime +
                ", executionTime=" + executionTime +
                "}";
    }
}