package com.gx.obe.server.management.user.controller;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.gx.obe.server.common.base.BaseController;
import com.gx.obe.server.management.user.entity.CaBinding;
import com.gx.obe.server.management.user.service.CaBindingService;

import io.swagger.annotations.Api;
import lombok.AllArgsConstructor;
/** 
 * @Description: 
 * @author mazc 
 */
@Api(tags = "")
@RestController
@AllArgsConstructor
@RequestMapping("/caBinding")
public class CaBindingController extends BaseController<CaBindingService,CaBinding>{
	@Autowired
	public CaBindingService caBindingServices;
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeCaBindingList 
	 */
	@PostMapping("/insertByBatch")
	public int insertByBatch(@RequestBody List<CaBinding> ObeCaBindingList) {
		return caBindingServices.insertByBatch(ObeCaBindingList);
	}
	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param ObeCaBindingList 
	 */
	@PostMapping("/updateByBatch")
	public int updateByBatch(@RequestBody List<CaBinding> ObeCaBindingList) {
		return caBindingServices.updateByBatch(ObeCaBindingList);
	}
	
	@PostMapping("/saveOrUpdate")
	public boolean saveOrUpdate(@RequestBody CaBinding caBinding) {
		return caBindingServices.saveOrUpdateEntity(caBinding);
		
	}
	/**
	 * @Description: 通过用户id 获取ca信息
	 * @author mazc
	 * @param userId
	 * @return 
	 */
	@GetMapping("/getCaBindingByUserIdOrderBy")
	public List<CaBinding> getCaBindingByUserIdOrderBy(String userId){
		return caBindingServices.getCaBindingByUserIdOrderBy(userId);
	}

	@GetMapping("/getCaBindingByCertIdAndUserIdSize")
	public int getCaBindingByCertIdAndUserIdSize(String certId ,String userId) {
		return caBindingServices.getCaBindingByCertIdAndUserIdSize(certId, userId);
	}
	
	@GetMapping("/getCaBindingByCertIdAndUserId")
	public CaBinding getCaBindingByCertIdAndUserId(String certId ,String userId) {
		return caBindingServices.getCaBindingByCertIdAndUserId(certId, userId);
	}
}