package com.gx.obe.server.management.user.entity;

import java.io.Serializable;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.gx.obe.server.common.json.StringDeserializer;
import com.gx.obe.server.management.evaluation.entity.EvaluationRoom;
 
/**
 * 
 * @author
 * @Title: AuthLoginRecordEntity
 * @Package com.gx.obe.server.management.user.entity
 * @Description:
 * @author: XiaoMa Pro - myzhichao@163.com
 * @date: 2019-05-08
 * @version V1.0
 * @Copyright: 2019 www.msypro.com Inc. All rights reserved.
 * 
 */

@TableName("auth_login_record")
public class AuthLoginRecordEntity extends Model<AuthLoginRecordEntity> {
	private static final long serialVersionUID = 1L;

	/**
	 * 登录记录主键
	 */
	@TableId("LOGIN_RECORD_ID")
    @JsonDeserialize(using = StringDeserializer.class)
	private String id;
	/**
	 * 登录用户账号
	 */
	@TableField("USER_ACCOUNT")
    @JsonDeserialize(using = StringDeserializer.class)
	private String userAccount;
	/**
	 * 登录用户姓名
	 */
	@TableField("USER_NAME")
    @JsonDeserialize(using = StringDeserializer.class)
	private String userName;
	/**
	 * 登录用户外键
	 */
	@TableField("USER_ID")
    @JsonDeserialize(using = StringDeserializer.class)
	private String userId;
	/**
	 * 登录用户主机地址
	 */
	@TableField("IP")
    @JsonDeserialize(using = StringDeserializer.class)
	private String ip;
	/**
	 * 登录系统类型
	 */
	@TableField("LOGIN_SYS_TYPE")
    @JsonDeserialize(using = StringDeserializer.class)
	private String loginSysType;
	/**
	 * 登录系统名称
	 */
	@TableField("LOGIN_SYS_NAME")
    @JsonDeserialize(using = StringDeserializer.class)
	private String loginSysName;
	/**
	 * 评标室外键
	 */
	@TableField("EVALBID_ROOM_ID")
    @JsonDeserialize(using = StringDeserializer.class)
	private String evalbidRoomId;
	/**
	 * 登录机器mac地址
	 */
	@TableField("MAC")
    @JsonDeserialize(using = StringDeserializer.class)
	private String mac;
	
	
	/**
	 * 登录时间
	 */
	@TableField("LOGIN_TIME")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
 	private Date loginTime;

	@TableField(exist = false)
	private EvaluationRoom evaluationRoom;
	
	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}
	
	public String getUserAccount() {
		return userAccount;
	}

	public void setUserAccount(String userAccount) {
		this.userAccount = userAccount;
	}

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	public String getIp() {
		return ip;
	}

	public void setIp(String ip) {
		this.ip = ip;
	}

	public String getLoginSysType() {
		return loginSysType;
	}

	public void setLoginSysType(String loginSysType) {
		this.loginSysType = loginSysType;
	}

	public String getLoginSysName() {
		return loginSysName;
	}

	public void setLoginSysName(String loginSysName) {
		this.loginSysName = loginSysName;
	}

	public String getEvalbidRoomId() {
		return evalbidRoomId;
	}

	public void setEvalbidRoomId(String evalbidRoomId) {
		this.evalbidRoomId = evalbidRoomId;
	}

	public String getMac() {
		return mac;
	}

	public void setMac(String mac) {
		this.mac = mac;
	}

	public Date getLoginTime() {
		return loginTime;
	}

	public void setLoginTime(Date loginTime) {
		this.loginTime = loginTime;
	}
	

	public EvaluationRoom getEvaluationRoom() {
		return evaluationRoom;
	}

	public void setEvaluationRoom(EvaluationRoom evaluationRoom) {
		this.evaluationRoom = evaluationRoom;
	}


	public static final String LOGIN_RECORD_ID = "LOGIN_RECORD_ID";

	public static final String USER_ACCOUNT = "USER_ACCOUNT";

	public static final String USER_NAME = "USER_NAME";

	public static final String USER_ID = "USER_ID";

	public static final String IP = "IP";

	public static final String LOGIN_SYS_TYPE = "LOGIN_SYS_TYPE";

	public static final String LOGIN_SYS_NAME = "LOGIN_SYS_NAME";

	public static final String EVALBID_ROOM_ID = "EVALBID_ROOM_ID";

	public static final String MAC = "MAC";

	public static final String LOGIN_TIME = "LOGIN_TIME";

	@Override
	protected Serializable pkVal() {
		return this.id;
	}

	@Override
	public String toString() {
		return "AuthLoginRecordEntity{" + ", id=" + id + ", userAccount=" + userAccount
				+ ", userName=" + userName + ", userId=" + userId + ", ip=" + ip + ", loginSysType=" + loginSysType
				+ ", loginSysName=" + loginSysName + ", evalbidRoomId=" + evalbidRoomId + ", mac=" + mac
				+ ", loginTime=" + loginTime + "}";
	}
}
