package com.gx.obe.server.management.user.entity;

import java.io.Serializable;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.gx.obe.server.common.json.StringDeserializer;

/**
 * 
 * @author
 * @Title: AuthRoleEntity
 * @Package com.gx.obe.server.management.user.entity
 * @Description:
 * @author: XiaoMa Pro - myzhichao@163.com
 * @date: 2019-04-29
 * @version V1.0
 * @Copyright: 2019 www.msypro.com Inc. All rights reserved.
 * 
 */

@TableName("auth_role")
public class AuthRoleEntity extends Model<AuthRoleEntity> {
	private static final long serialVersionUID = 1L;

	/**
	 * 系统角色主键
	 */
	@TableId("ROLE_ID")
	@JsonDeserialize(using = StringDeserializer.class)
	private String id;
	/**
	 * 系统角色名称
	 */
	@TableField("ROLE_NAME")
	@JsonDeserialize(using = StringDeserializer.class)

	private String roleName;
	/**
	 * 角色终端
	 */
	@TableField("TERMINAL_TYPE")
	@JsonDeserialize(using = StringDeserializer.class)

	private String terminalType;
	/**
	 * 系统角色类型
	 */
	@TableField("ROLE_TYPE")
	@JsonDeserialize(using = StringDeserializer.class)
	private String roleType;
	/**
	 * 角色编码
	 */
	@TableField("ROLE_CODE")
	@JsonDeserialize(using = StringDeserializer.class)
	private String roleCode;
	/**
	 * 系统角色使用状态
	 */
	@TableField("USE_STATUS")
	@JsonDeserialize(using = StringDeserializer.class)
	private String useStatus;
	/**
	 * 系统角色备注
	 */
	@TableField("ROLE_MEMO")
	@JsonDeserialize(using = StringDeserializer.class)
	private String roleMemo;
	/**
	 * 创建人外键
	 */
	@TableField("CREATE_USER_ID")
	@JsonDeserialize(using = StringDeserializer.class)
	private String createUserId;
	/**
	 * 创建时间
	 */
	@TableField("CREATE_TIME")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss") // , timezone = "GMT+8"
	private Date createTime;
	/**
	 * 修改人外键
	 */
	@TableField("MODIFY_USER_ID")
	@JsonDeserialize(using = StringDeserializer.class)
	private String modifyUserId;
	/**
	 * 修改时间
	 */
	@TableField("MODIFY_TIME")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss") // , timezone = "GMT+8"
	private Date modifyTime;

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}
 
	public String getRoleName() {
		return roleName;
	}

	public void setRoleName(String roleName) {
		this.roleName = roleName;
	}

	public String getTerminalType() {
		return terminalType;
	}

	public void setTerminalType(String terminalType) {
		this.terminalType = terminalType;
	}

	public String getRoleType() {
		return roleType;
	}

	public void setRoleType(String roleType) {
		this.roleType = roleType;
	}

	public String getRoleCode() {
		return roleCode;
	}

	public void setRoleCode(String roleCode) {
		this.roleCode = roleCode;
	}

	public String getUseStatus() {
		return useStatus;
	}

	public void setUseStatus(String useStatus) {
		this.useStatus = useStatus;
	}

	public String getRoleMemo() {
		return roleMemo;
	}

	public void setRoleMemo(String roleMemo) {
		this.roleMemo = roleMemo;
	}

	public String getCreateUserId() {
		return createUserId;
	}

	public void setCreateUserId(String createUserId) {
		this.createUserId = createUserId;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public String getModifyUserId() {
		return modifyUserId;
	}

	public void setModifyUserId(String modifyUserId) {
		this.modifyUserId = modifyUserId;
	}

	public Date getModifyTime() {
		return modifyTime;
	}

	public void setModifyTime(Date modifyTime) {
		this.modifyTime = modifyTime;
	}

	public static final String ROLE_ID = "ROLE_ID";

	public static final String ROLE_NAME = "ROLE_NAME";

	public static final String TERMINAL_TYPE = "TERMINAL_TYPE";

	public static final String ROLE_TYPE = "ROLE_TYPE";

	public static final String ROLE_CODE = "ROLE_CODE";

	public static final String USE_STATUS = "USE_STATUS";

	public static final String ROLE_MEMO = "ROLE_MEMO";

	public static final String CREATE_USER_ID = "CREATE_USER_ID";

	public static final String CREATE_TIME = "CREATE_TIME";

	public static final String MODIFY_USER_ID = "MODIFY_USER_ID";

	public static final String MODIFY_TIME = "MODIFY_TIME";

	@Override
	protected Serializable pkVal() {
		return this.id;
	}

	@Override
	public String toString() {
		return "AuthRoleEntity{" + ", roleId=" + id + ", roleName=" + roleName + ", terminalType=" + terminalType
				+ ", roleType=" + roleType + ", roleCode=" + roleCode + ", useStatus=" + useStatus + ", roleMemo="
				+ roleMemo + ", createUserId=" + createUserId + ", createTime=" + createTime + ", modifyUserId="
				+ modifyUserId + ", modifyTime=" + modifyTime + "}";
	}
}
