package com.gx.obe.server.management.user.service;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gx.obe.server.management.user.entity.AuthRoleEntity;

/**  
 * 
 * @author 
 * @Title: AuthRoleService
 * @Package com.gx.obe.server.management.user.service  
 * @Description:    服务类
 * @author: XiaoMa Pro - myzhichao@163.com
 * @date:   2019-04-29   
 * @version V1.0 
 * @Copyright: 2019 www.msypro.com Inc. All rights reserved. 
 *  
 */
public interface AuthRoleService extends IService<AuthRoleEntity> {
	
	 /**
	 * @Description: 根据角色类型获取角色列表 
	 * @author mazc
	 * @param roleType
	 * @return 
	 */
	List<AuthRoleEntity> getRoleListByRoleType(String roleType);
	
	/**   
	 * @Title: getUserRoleList   
	 * @Description: 获得用户在指定终端的角色列表
	 * @param: @param TERMINAL_TYPE
	 * @param: @param USER_ID
	 * @param: @param ROLE_TYPE
	 * @param: @return      
	 * @return: List<Object>      
	 * @throws   
	 */  
	public List<AuthRoleEntity> getUserRoleList(String terminalType, String userId, String ignoreRoleType);

	/**
	 * @Description:  根据加色名字查找角色列表
	 * @author mazc
	 * @return 
	 */
	List<AuthRoleEntity> getQueryRoleListByRoleName(String roleName);
	
	
	/**
	 * @Description: 根据角色状态获取列表
	 * @author mazc
	 * @param useStatus
	 * @return 
	 */
	List<AuthRoleEntity> getRoleListByuseStatus(String useStatus);
	
	boolean updateRoleuseStatus(String useStatus,String roleId);
	
	List<AuthRoleEntity> getRoleListByRoleCode(String[] roleCode);
}

