package com.gx.obe.server.management.user.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gx.obe.server.management.user.entity.CaBinding;
 
/** 
 * @Description: 
 * @author mazc 
 */
public interface CaBindingService extends IService<CaBinding> {
 	/**
	 * @Description: 批量更新
	 * @author mazc
	 * @param ObeCaBindingList 
	 */
 	Integer updateByBatch (List<CaBinding> ObeCaBindingList);
	/**
	 * @Description: 批量插入
	 * @author mazc
	 * @param ObeCaBindingList 
	 */
	Integer insertByBatch (List<CaBinding> ObeCaBindingList);
	
	
	 /** 
	 * @Description: 保存或更新
	 * @author mazc
	 * @param caBinding
	 * @return 
	 */
	boolean saveOrUpdateEntity(CaBinding caBinding);
	
	/**
	 * @Description: 通过用户id 获取ca信息
	 * @author mazc
	 * @param userId
	 * @return 
	 */
	List<CaBinding> getCaBindingByUserIdOrderBy(String userId);
	
	
	 /**
	 * @Description: 获取证书是否被使用
	 * @author mazc
	 * @param certId
	 * @param userId
	 * @return 
	 */
	int getCaBindingByCertIdAndUserIdSize(String certId ,String userId);
	
	
	 /**
	 * @Description: 获取ca信息
	 * @author mazc
	 * @param certId
	 * @param userId
	 * @return 
	 */
	CaBinding getCaBindingByCertIdAndUserId(String certId ,String userId); 
}



