package com.gx.obe.server.management.vo;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.gx.obe.server.management.project.entity.TenderProject;

/** 
 * @Description: 
 * @author mazc 
 */
public class TenderPackOpeningInfo {

	private TenderProject tenderProject;
	private int tenderCount;// 投标家次，统计有投标时间的供应商
	private int threeTenderCount;// 所有投标家数满足3家的的统计
	private int openingCount;// 可开标的家次（已投标且已启动解密的家次统计，或者已完成解密的家次）
	private int signCount;
	private int decCount;
	private int decFailCount;
	private int confirmCount;
	private int confirmQuestionCount;
	private int revokeCount;
	private int noPriceCount;
	private boolean complate;
	private boolean hasError = false;
	public Date bidOpeningTime;
	
	/**
	 * 是否项目 true:项目;false:包件
	 */
	private boolean project = false;
	/**
	 * 项目是否存在分包 true:带包件的项目;false:不带包件的项目
	 */
	private boolean hasPack = false;
	/**
	 * 包件列表
	 */
	private List<TenderProject> tenderPackList;
	private List<TenderPackOpeningInfo> tenderPackOpeningInfoList;
	public BigDecimal bidPrice;
	
	/**
	 * 完成的包件数
	 */
	public int complatePackCount;
	
	/**
	 * 完成的供应商数
	 */
	public int complateSupplierCount;
	
	public TenderPackOpeningInfo(TenderProject tenderPack, boolean isProject){
		this.tenderProject = tenderPack;
	}
	
	public TenderPackOpeningInfo(TenderProject tenderProjectEntity, List<TenderProject> tenderPackList){
		this.tenderProject = tenderProjectEntity;
		project = true;
		setTenderPackList(tenderPackList);
	}
	public TenderProject getTenderProject() {
		return tenderProject;
	}
	public void setTenderProject(TenderProject tenderPack) {
		this.tenderProject = tenderPack;
	}
	public int getTenderCount() {
		return tenderCount;
	}
	public void setTenderCount(int tenderCount) {
		this.tenderCount = tenderCount;
	}
	
	public int getThreeTenderCount() {
		return threeTenderCount;
	}

	public void setThreeTenderCount(int threeTenderCount) {
		this.threeTenderCount = threeTenderCount;
	}

	public int getOpeningCount() {
		return openingCount;
	}

	public void setOpeningCount(int openingCount) {
		this.openingCount = openingCount;
	}

	public int getSignCount() {
		return signCount;
	}
	public void setSignCount(int signCount) {
		this.signCount = signCount;
	}
	public int getDecCount() {
		return decCount;
	}
	public void setDecCount(int decCount) {
		this.decCount = decCount;
	}
	public int getConfirmCount() {
		return confirmCount;
	}
	public void setConfirmCount(int confirmCount) {
		this.confirmCount = confirmCount;
	}
	public boolean isComplate() {
		return complate;
	}
	public void setComplate(boolean complate) {
		this.complate = complate;
	}
	public int getDecFailCount() {
		return decFailCount;
	}
	public void setDecFailCount(int decFailCount) {
		this.decFailCount = decFailCount;
	}
	public int getConfirmQuestionCount() {
		return confirmQuestionCount;
	}
	public void setConfirmQuestionCount(int confirmQuestionCount) {
		this.confirmQuestionCount = confirmQuestionCount;
	}
	public BigDecimal getBidPrice() {
		return bidPrice;
	}
	public void setBidPrice(BigDecimal bidPrice) {
		this.bidPrice = bidPrice;
	}
	public int getRevokeCount() {
		return revokeCount;
	}
	public void setRevokeCount(int revokeCount) {
		this.revokeCount = revokeCount;
	}
	
	
	public int getNoPriceCount() {
		return noPriceCount;
	}

	public void setNoPriceCount(int noPriceCount) {
		this.noPriceCount = noPriceCount;
	}

	public boolean isProject() {
		return project;
	}
	public void setProject(boolean isProject) {
		this.project = isProject;
	}
	public boolean isHasPack() {
		return hasPack;
	}
	public void setHasPack(boolean hasPack) {
		this.hasPack = hasPack;
	}
	@JsonManagedReference
	public List<TenderProject> getTenderPackList() {
		return tenderPackList;
	}
	public void setTenderPackList(List<TenderProject> tenderPackList) {
		this.tenderPackList = tenderPackList;
		if(null != tenderPackList && tenderPackList.size() > 0){
			hasPack = true;
		}
	}
	@JsonManagedReference
	public List<TenderPackOpeningInfo> getTenderPackOpeningInfoList() {
		return tenderPackOpeningInfoList;
	}

	public void setTenderPackOpeningInfoList(
			List<TenderPackOpeningInfo> tenderPackOpeningInfoList) {
		this.tenderPackOpeningInfoList = tenderPackOpeningInfoList;
	}

	public boolean isHasError() {
		return hasError;
	}
	public void setHasError(boolean hasError) {
		this.hasError = hasError;
	}

	public int getComplatePackCount() {
		return complatePackCount;
	}

	public void setComplatePackCount(int complatePackCount) {
		this.complatePackCount = complatePackCount;
	}

	public int getComplateSupplierCount() {
		return complateSupplierCount;
	}

	public void setComplateSupplierCount(int complateSupplierCount) {
		this.complateSupplierCount = complateSupplierCount;
	}

	public Date getBidOpeningTime() {
		return bidOpeningTime;
	}

	public void setBidOpeningTime(Date bidOpeningTime) {
		this.bidOpeningTime = bidOpeningTime;
	}
	
}
