package com.gx.obe.server.tripartitefunction.bidata.vo;

import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonProperty;

/** 
 * @Description: 关联失信被执行人信息 ,
 * @author mazc 
 */
public class Relatedpunishbreak implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 8263531189546678235L;
	/**
	 * 失信人类型:自然人，法人或其他组织 ,
	 */
	@JsonProperty("TYPE")
	private String TYPE;
	/**
	 * 被执行人姓名/名称 ,
	 */
	@JsonProperty("INAMECLEAN")
	private String INAMECLEAN;
	/**
	 * 发布时间 ,
	 */
	@JsonProperty("PUBLISHDATECLEAN")
	private String PUBLISHDATECLEAN;
	/**
	 * 立案时间 ,
	 */
	@JsonProperty("REGDATECLEAN")
	private String REGDATECLEAN;
	/**
	 * 身份证号码/工商注册号 ,
	 */
	@JsonProperty("CARDNUM")
	private String CARDNUM;
	/**
	 * 执行法院 ,
	 */
	@JsonProperty("COURTNAME")
	private String COURTNAME;
	/**
	 * 执行依据文号 ,
	 */
	@JsonProperty("GISTID")
	private String GISTID;
	/**
	 * 案号 ,
	 */
	@JsonProperty("CASECODE")
	private String CASECODE;
	/**
	 * 做出执行依据单位 ,
	 */
	@JsonProperty("GISTUNIT")
	private String GISTUNIT;
	/**
	 * 生效法律文书确定的义务 ,
	 */
	@JsonProperty("DUTY")
	private String DUTY;
	/**
	 * 被执行人履行情况 ,
	 */
	@JsonProperty("PERFORMANCE")
	private String PERFORMANCE;
	/**
	 * 已履行（元） ,
	 */
	@JsonProperty("PERFORMEDPART")
	private String PERFORMEDPART;
	/**
	 * 未履行（元） ,
	 */
	@JsonProperty("UNPERFORMPART")
	private String UNPERFORMPART;
	/**
	 * 失信被执行人行为具体情形 ,
	 */
	@JsonProperty("DISRUPTTYPENAME")
	private String DISRUPTTYPENAME;
	/**
	 * 法定代表人或者负责人姓名 ,
	 */
	@JsonProperty("BUSINESSENTITY")
	private String BUSINESSENTITY;
	/**
	 * 省份
	 */
	@JsonProperty("AREANAMECLEAN")
	private String AREANAMECLEAN;

	public String getTYPE() {
		return TYPE;
	}

	public void setTYPE(String tYPE) {
		TYPE = tYPE;
	}

	public String getINAMECLEAN() {
		return INAMECLEAN;
	}

	public void setINAMECLEAN(String iNAMECLEAN) {
		INAMECLEAN = iNAMECLEAN;
	}

	public String getPUBLISHDATECLEAN() {
		return PUBLISHDATECLEAN;
	}

	public void setPUBLISHDATECLEAN(String pUBLISHDATECLEAN) {
		PUBLISHDATECLEAN = pUBLISHDATECLEAN;
	}

	public String getREGDATECLEAN() {
		return REGDATECLEAN;
	}

	public void setREGDATECLEAN(String rEGDATECLEAN) {
		REGDATECLEAN = rEGDATECLEAN;
	}

	public String getCARDNUM() {
		return CARDNUM;
	}

	public void setCARDNUM(String cARDNUM) {
		CARDNUM = cARDNUM;
	}

	public String getCOURTNAME() {
		return COURTNAME;
	}

	public void setCOURTNAME(String cOURTNAME) {
		COURTNAME = cOURTNAME;
	}

	public String getGISTID() {
		return GISTID;
	}

	public void setGISTID(String gISTID) {
		GISTID = gISTID;
	}

	public String getCASECODE() {
		return CASECODE;
	}

	public void setCASECODE(String cASECODE) {
		CASECODE = cASECODE;
	}

	public String getGISTUNIT() {
		return GISTUNIT;
	}

	public void setGISTUNIT(String gISTUNIT) {
		GISTUNIT = gISTUNIT;
	}

	public String getDUTY() {
		return DUTY;
	}

	public void setDUTY(String dUTY) {
		DUTY = dUTY;
	}

	public String getPERFORMANCE() {
		return PERFORMANCE;
	}

	public void setPERFORMANCE(String pERFORMANCE) {
		PERFORMANCE = pERFORMANCE;
	}

	public String getPERFORMEDPART() {
		return PERFORMEDPART;
	}

	public void setPERFORMEDPART(String pERFORMEDPART) {
		PERFORMEDPART = pERFORMEDPART;
	}

	public String getUNPERFORMPART() {
		return UNPERFORMPART;
	}

	public void setUNPERFORMPART(String uNPERFORMPART) {
		UNPERFORMPART = uNPERFORMPART;
	}

	public String getDISRUPTTYPENAME() {
		return DISRUPTTYPENAME;
	}

	public void setDISRUPTTYPENAME(String dISRUPTTYPENAME) {
		DISRUPTTYPENAME = dISRUPTTYPENAME;
	}

	public String getBUSINESSENTITY() {
		return BUSINESSENTITY;
	}

	public void setBUSINESSENTITY(String bUSINESSENTITY) {
		BUSINESSENTITY = bUSINESSENTITY;
	}

	public String getAREANAMECLEAN() {
		return AREANAMECLEAN;
	}

	public void setAREANAMECLEAN(String aREANAMECLEAN) {
		AREANAMECLEAN = aREANAMECLEAN;
	}

	public static long getSerialversionuid() {
		return serialVersionUID;
	}

}